% Coefficients defining linear system for obtaining steady states of LM variables 

% global cU_SS epsilU_SS FpXU_SS FwXU_SS hU_SS iU_SS kbarU_SS piU_SS ... 
%        pstarU_SS qU_SS rkU_SS RkXU_SS RXU_SS sU_SS U1_SS U2_SS U3_SS ... 
%        U4_SS uU_SS Ux_SS uzcU_SS wplusU_SS wstarU_SS wU_SS; 
%   
% global lmult1_SS lmult2_SS lmult3_SS lmult4_SS lmult5_SS lmult6_SS ... 
%        lmult7_SS lmult8_SS lmult9_SS lmult10_SS lmult11_SS lmult12_SS ... 
%        lmult13_SS lmult14_SS lmult15_SS lmult16_SS lmult17_SS; 
  
lmss_mat = zeros(18,17); 
lmss_vec = zeros(18,1); 
lmss_vec(1) = muzstarU*zetacU/(cUU*muzstarU-bUU*cUU)-nbeta*zetacU*bUU/(cUU*muzstarU-bUU*cUU); 
lmss_mat(1,1) = 0; 
lmss_mat(1,2) = 0; 
lmss_mat(1,3) = 0; 
lmss_mat(1,4) = 0; 
lmss_mat(1,5) = 0; 
lmss_mat(1,6) = muzstarU^2*zetacU/(cUU*muzstarU-bUU*cUU)^2+bUU^2*betaUU*zetacU/(cUU*muzstarU-bUU*cUU)^2-1/nbeta*bUU*betaUU*zetacU/(cUU*muzstarU-bUU*cUU)^2*muzstarU-nbeta*muzstarU*zetacU/(cUU*muzstarU-bUU*cUU)^2*bUU; 
lmss_mat(1,7) = 0; 
lmss_mat(1,8) = -1; 
lmss_mat(1,9) = 0; 
lmss_mat(1,10) = 0; 
lmss_mat(1,11) = 0; 
lmss_mat(1,12) = 0; 
lmss_mat(1,13) = 0; 
lmss_mat(1,14) = 0; 
lmss_mat(1,15) = 0; 
lmss_mat(1,16) = 0; 
lmss_mat(1,17) = 0; 
lmss_vec(2) = 0; 
lmss_mat(2,1) = 0; 
lmss_mat(2,2) = 0; 
lmss_mat(2,3) = 0; 
lmss_mat(2,4) = 0; 
lmss_mat(2,5) = 0; 
lmss_mat(2,6) = 0; 
lmss_mat(2,7) = 0; 
lmss_mat(2,8) = 0; 
lmss_mat(2,9) = 0; 
lmss_mat(2,10) = 0; 
lmss_mat(2,11) = 0; 
lmss_mat(2,12) = 0; 
lmss_mat(2,13) = -1+1/nbeta*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))*betaUU*xipUU; 
lmss_mat(2,14) = -((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)+1/nbeta*betaUU*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(lambdafU/(1-lambdafU))*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU); 
lmss_mat(2,15) = 0; 
lmss_mat(2,16) = 0; 
lmss_mat(2,17) = 0; 
lmss_vec(3) = 0; 
lmss_mat(3,1) = 0; 
lmss_mat(3,2) = 0; 
lmss_mat(3,3) = 0; 
lmss_mat(3,4) = 0; 
lmss_mat(3,5) = 0; 
lmss_mat(3,6) = 0; 
lmss_mat(3,7) = 0; 
lmss_mat(3,8) = 0; 
lmss_mat(3,9) = 0; 
lmss_mat(3,10) = 0; 
lmss_mat(3,11) = 0; 
lmss_mat(3,12) = 0; 
lmss_mat(3,13) = 0; 
lmss_mat(3,14) = 0; 
lmss_mat(3,15) = -1+1/nbeta*betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piUU*(1/piUU/muzstarU/wUU*wUU)^(lambdawUU/(1-lambdawUU))*muzstarU^(iotamuUU/(1-lambdawUU)-1); 
lmss_mat(3,16) = -((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wUU/psiLXUU+1/nbeta*betaUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wUU/psiLXUU; 
lmss_mat(3,17) = 0; 
lmss_vec(4) = -zetacU*zetaU*psiLXUU*(wstarUU/wplusUU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1))*hUU^(1+sigmaLXUU)/hUU; 
lmss_mat(4,1) = 0; 
lmss_mat(4,2) = -rkUU*(1+psikUU*RXUU)/alphaUU/epsilUU/((upsilUU*muzstarU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/uUU/kbarUU)^(1-alphaUU))*(1-alphaUU)/hUU; 
lmss_mat(4,3) = 0; 
lmss_mat(4,4) = 0; 
lmss_mat(4,5) = 0; 
lmss_mat(4,6) = 0; 
lmss_mat(4,7) = 0; 
lmss_mat(4,8) = pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU; 
lmss_mat(4,9) = 0; 
lmss_mat(4,10) = 0; 
lmss_mat(4,11) = 0; 
lmss_mat(4,12) = 0; 
lmss_mat(4,13) = uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU; 
lmss_mat(4,14) = lambdafU*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU*sUU; 
lmss_mat(4,15) = wstarUU^(lambdawUU/(lambdawUU-1))*(1-taulUU)*uzcUU/(1+taucUU)/lambdawUU; 
lmss_mat(4,16) = zetacU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)/hUU*zetaUU; 
lmss_mat(4,17) = 0; 
lmss_vec(5) = 0; 
lmss_mat(5,1) = 0; 
lmss_mat(5,2) = 0; 
lmss_mat(5,3) = uzcUU/(1+taucUU)*qUU*((-1/2*SdouprXUU*zetaiU*muzstarU*upsilUU/iUU*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*SdouprXUU*zetaiU*muzstarU*upsilUU/iUU*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU*iUU*muzstarU*upsilUU/iUU+(-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU*muzstarU*upsilUU/iUU-1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*muzstarU*upsilUU/iUU*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*muzstarU*upsilUU/iUU*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))+betaUU*uzcUU/(1+taucUU)*qUU*(-1/2*SdouprXUU*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*SdouprXUU*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU^2*iUU^2*muzstarU*upsilUU/iUU^2-2*betaUU*uzcUU/(1+taucUU)*qUU*(1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU^2*iUU^2*muzstarU*upsilUU/iUU^3+1/nbeta*(betaUU*uzcUU/(1+taucUU)*qUU*(1/2*SdouprXUU*zetaiU*muzstarU*upsilUU/iUU*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*SdouprXUU*zetaiU*muzstarU*upsilUU/iUU*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU^2*iUU^2*muzstarU*upsilUU/iUU^2+2*betaUU*uzcUU/(1+taucUU)*qUU*(1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU^2*iUU*muzstarU*upsilUU/iUU^2)+nbeta*uzcUU/(1+taucUU)*qUU*((1/2*SdouprXUU*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*SdouprXUU*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU*iUU*muzstarU*upsilUU/iUU-(-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU*iUU*muzstarU*upsilUU/iUU^2+1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))); 
lmss_mat(5,4) = 0; 
lmss_mat(5,5) = 0; 
lmss_mat(5,6) = 0; 
lmss_mat(5,7) = 0; 
lmss_mat(5,8) = -1/muupU; 
lmss_mat(5,9) = (1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*muzstarU*upsilUU/iUU*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*muzstarU*upsilUU/iUU*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*iUU-3+exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+nbeta*(-1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*2^(1/2)*SdouprXUU^(1/2)*zetaiU*iUU*muzstarU*upsilUU/iUU^2*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*iUU; 
lmss_mat(5,10) = 0; 
lmss_mat(5,11) = 0; 
lmss_mat(5,12) = 0; 
lmss_mat(5,13) = 0; 
lmss_mat(5,14) = 0; 
lmss_mat(5,15) = 0; 
lmss_mat(5,16) = 0; 
lmss_mat(5,17) = 0; 
lmss_vec(6) = 0; 
lmss_mat(6,1) = 0; 
lmss_mat(6,2) = nbeta*rkUU*(1+psikUU*RXUU)/alphaUU/epsilUU/((upsilUU*muzstarU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/uUU/kbarUU)^(1-alphaUU))*(1-alphaUU)/kbarUU; 
lmss_mat(6,3) = 0; 
lmss_mat(6,4) = 0; 
lmss_mat(6,5) = 0; 
lmss_mat(6,6) = 0; 
lmss_mat(6,7) = 0; 
lmss_mat(6,8) = nbeta*(pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*alphaUU/kbarUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-tauoU*rkUU*(exp(sigmaaUU*(uUU-1))-1)/sigmaaUU/upsilUU/muzstarU); 
lmss_mat(6,9) = 1+nbeta*(-1+deltaUU)/upsilUU/muzstarU; 
lmss_mat(6,10) = 0; 
lmss_mat(6,11) = 0; 
lmss_mat(6,12) = 0; 
lmss_mat(6,13) = nbeta*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*alphaUU/kbarUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU); 
lmss_mat(6,14) = nbeta*lambdafU*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*alphaUU/kbarUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*sUU; 
lmss_mat(6,15) = 0; 
lmss_mat(6,16) = 0; 
lmss_mat(6,17) = 0; 
lmss_vec(7) = 0; 
lmss_mat(7,1) = 0; 
lmss_mat(7,2) = 0; 
lmss_mat(7,3) = 0; 
lmss_mat(7,4) = 0; 
lmss_mat(7,5) = (-(1-taukUU)*(uUU*rkUU-tauoU*rkUU*(exp(sigmaaUU*(uUU-1))-1)/sigmaaUU)-(1-deltaUU)*qUU)/upsilUU/qUU; 
lmss_mat(7,6) = 0; 
lmss_mat(7,7) = -1/nbeta*betaUU*uzcUU/(1+taucUU)/piUU^2/muzstarU*(1+RXUU); 
lmss_mat(7,8) = 0; 
lmss_mat(7,9) = 0; 
lmss_mat(7,10) = -1/nbeta*betaUU*uzcUU/(1+taucUU)/piUU^2/muzstarU*(1+RkXUU); 
lmss_mat(7,11) = -((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU)))^(1/lambdafU*(1-lambdafU))/lambdafU*(1-lambdafU)*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU*lambdafU*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))/(1-lambdafU)/piUU/(1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)/piUU)/((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU)))-nbeta*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU)))^(1/lambdafU*(1-lambdafU))/lambdafU*(1-lambdafU)*((-1+xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU*lambdafU*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))/(1-lambdafU)*iota2UU/piUU/(1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)*iota2UU/piUU)/((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU))); 
lmss_mat(7,12) = -((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/piUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*iotaw2UU/piUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(7,13) = (pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))/(1-lambdafU)*iota2UU/piUU*betaUU*xipUU*FpXUU-1/nbeta*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))/(1-lambdafU)/piUU*betaUU*xipUU*FpXUU; 
lmss_mat(7,14) = betaUU*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)*iota2UU/piUU*FpXUU*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)-betaUU*xipUU^2*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(lambdafU/(1-lambdafU))*FpXUU*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))*iota2UU/piUU/(1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))-FpXUU*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))/piUU/(1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))+1/nbeta*(-betaUU*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)/piUU*FpXUU*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)+betaUU*xipUU^2*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(lambdafU/(1-lambdafU))*FpXUU*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))/piUU/(1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))))+nbeta*FpXUU*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))*iota2UU/piUU/(1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU))); 
lmss_mat(7,15) = betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/piUU*(1/piUU/muzstarU/wUU*wUU)^(lambdawUU/(1-lambdawUU))*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXUU+1/nbeta*(-betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piUU^2*(1/piUU/muzstarU/wUU*wUU)^(lambdawUU/(1-lambdawUU))*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXUU-betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piUU^2*(1/piUU/muzstarU/wUU*wUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXUU); 
lmss_mat(7,16) = betaUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piUU*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wUU*FwXUU/psiLXUU-betaUU*xiwUU^2*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wUU*FwXUU/psiLXUU-((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wUU*FwXUU/psiLXUU+1/nbeta*(-betaUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piUU*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wUU*FwXUU/psiLXUU+betaUU*xiwUU^2*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wUU*FwXUU/psiLXUU)+nbeta*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wUU*FwXUU/psiLXUU; 
lmss_mat(7,17) = -((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_vec(8) = 0; 
lmss_mat(8,1) = 0; 
lmss_mat(8,2) = 0; 
lmss_mat(8,3) = 0; 
lmss_mat(8,4) = 0; 
lmss_mat(8,5) = 0; 
lmss_mat(8,6) = 0; 
lmss_mat(8,7) = 0; 
lmss_mat(8,8) = pstarUU^(lambdafU/(lambdafU-1))*lambdafU/(lambdafU-1)/pstarUU*(epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(8,9) = 0; 
lmss_mat(8,10) = 0; 
lmss_mat(8,11) = 1-nbeta*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU)))^(1/lambdafU*(1-lambdafU))*xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU))/pstarUU/((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piUU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piUU*pstarUU)^(lambdafU/(1-lambdafU))); 
lmss_mat(8,12) = 0; 
lmss_mat(8,13) = uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*lambdafU/(lambdafU-1)/pstarUU*(epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(8,14) = lambdafU^2*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))/(lambdafU-1)/pstarUU*(epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sUU; 
lmss_mat(8,15) = 0; 
lmss_mat(8,16) = 0; 
lmss_mat(8,17) = 0; 
lmss_vec(9) = 0; 
lmss_mat(9,1) = 0; 
lmss_mat(9,2) = 0; 
lmss_mat(9,3) = uzcUU/(1+taucUU)*((-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU*iUU*muzstarU*upsilUU/iUU+3-exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))+1/nbeta*betaUU*uzcUU/(1+taucUU)*(1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU^2*iUU^2*muzstarU*upsilUU/iUU^2; 
lmss_mat(9,4) = 0; 
lmss_mat(9,5) = (-1+deltaUU)*piUU/upsilUU/qUU+nbeta*((1-taukUU)*(uUU*rkUU-tauoU*rkUU*(exp(sigmaaUU*(uUU-1))-1)/sigmaaUU)+(1-deltaUU)*qUU)*piUU/upsilUU/qUU^2; 
lmss_mat(9,6) = 0; 
lmss_mat(9,7) = 0; 
lmss_mat(9,8) = 0; 
lmss_mat(9,9) = 0; 
lmss_mat(9,10) = 0; 
lmss_mat(9,11) = 0; 
lmss_mat(9,12) = 0; 
lmss_mat(9,13) = 0; 
lmss_mat(9,14) = 0; 
lmss_mat(9,15) = 0; 
lmss_mat(9,16) = 0; 
lmss_mat(9,17) = 0; 
lmss_vec(10) = 0; 
lmss_mat(10,1) = (1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkUU*(1+psikUU*RXUU))^alphaUU*alphaUU/rkUU*(wUU*(1+psilUU*RXUU))^(1-alphaUU)/epsilUU; 
lmss_mat(10,2) = (1+psikUU*RXUU)/alphaUU/epsilUU/((upsilUU*muzstarU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/uUU/kbarUU)^(1-alphaUU)); 
lmss_mat(10,3) = 0; 
lmss_mat(10,4) = 1; 
lmss_mat(10,5) = (-1+taukUU)*uUU*piUU/upsilUU/qUU; 
lmss_mat(10,6) = 0; 
lmss_mat(10,7) = 0; 
lmss_mat(10,8) = 0; 
lmss_mat(10,9) = 0; 
lmss_mat(10,10) = 0; 
lmss_mat(10,11) = 0; 
lmss_mat(10,12) = 0; 
lmss_mat(10,13) = 0; 
lmss_mat(10,14) = 0; 
lmss_mat(10,15) = 0; 
lmss_mat(10,16) = 0; 
lmss_mat(10,17) = 0; 
lmss_vec(11) = 0; 
lmss_mat(11,1) = 0; 
lmss_mat(11,2) = 0; 
lmss_mat(11,3) = 0; 
lmss_mat(11,4) = 0; 
lmss_mat(11,5) = 1; 
lmss_mat(11,6) = 0; 
lmss_mat(11,7) = 0; 
lmss_mat(11,8) = 0; 
lmss_mat(11,9) = 0; 
lmss_mat(11,10) = 1/nbeta*betaUU*uzcUU/(1+taucUU)/piUU/muzstarU; 
lmss_mat(11,11) = 0; 
lmss_mat(11,12) = 0; 
lmss_mat(11,13) = 0; 
lmss_mat(11,14) = 0; 
lmss_mat(11,15) = 0; 
lmss_mat(11,16) = 0; 
lmss_mat(11,17) = 0; 
lmss_vec(12) = 0; 
lmss_mat(12,1) = (1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkUU*(1+psikUU*RXUU))^alphaUU*alphaUU*psikUU/(1+psikUU*RXUU)*(wUU*(1+psilUU*RXUU))^(1-alphaUU)/epsilUU+(1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkUU*(1+psikUU*RXUU))^alphaUU*(wUU*(1+psilUU*RXUU))^(1-alphaUU)*(1-alphaUU)*psilUU/(1+psilUU*RXUU)/epsilUU; 
lmss_mat(12,2) = rkUU*psikUU/alphaUU/epsilUU/((upsilUU*muzstarU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/uUU/kbarUU)^(1-alphaUU)); 
lmss_mat(12,3) = 0; 
lmss_mat(12,4) = 0; 
lmss_mat(12,5) = 0; 
lmss_mat(12,6) = 0; 
lmss_mat(12,7) = 1/nbeta*betaUU*uzcUU/(1+taucUU)/piUU/muzstarU; 
lmss_mat(12,8) = 0; 
lmss_mat(12,9) = 0; 
lmss_mat(12,10) = 0; 
lmss_mat(12,11) = 0; 
lmss_mat(12,12) = 0; 
lmss_mat(12,13) = 0; 
lmss_mat(12,14) = 0; 
lmss_mat(12,15) = 0; 
lmss_mat(12,16) = 0; 
lmss_mat(12,17) = 0; 
lmss_vec(13) = 0; 
lmss_mat(13,1) = -1; 
lmss_mat(13,2) = -1; 
lmss_mat(13,3) = 0; 
lmss_mat(13,4) = 0; 
lmss_mat(13,5) = 0; 
lmss_mat(13,6) = 0; 
lmss_mat(13,7) = 0; 
lmss_mat(13,8) = 0; 
lmss_mat(13,9) = 0; 
lmss_mat(13,10) = 0; 
lmss_mat(13,11) = 0; 
lmss_mat(13,12) = 0; 
lmss_mat(13,13) = 0; 
lmss_mat(13,14) = lambdafU*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*(epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(13,15) = 0; 
lmss_mat(13,16) = 0; 
lmss_mat(13,17) = 0; 
lmss_vec(14) = 0; 
lmss_mat(14,1) = 0; 
lmss_mat(14,2) = rkUU*(1+psikUU*RXUU)/alphaUU/epsilUU/((upsilUU*muzstarU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/uUU/kbarUU)^(1-alphaUU))*(1-alphaUU)/uUU; 
lmss_mat(14,3) = 0; 
lmss_mat(14,4) = -tauoU*rkUU*sigmaaUU*exp(sigmaaUU*(uUU-1)); 
lmss_mat(14,5) = (-1+taukUU)*(rkUU-tauoU*rkUU*exp(sigmaaUU*(uUU-1)))*piUU/upsilUU/qUU; 
lmss_mat(14,6) = 0; 
lmss_mat(14,7) = 0; 
lmss_mat(14,8) = pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*alphaUU/uUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-tauoU*rkUU*exp(sigmaaUU*(uUU-1))*kbarUU/upsilUU/muzstarU; 
lmss_mat(14,9) = 0; 
lmss_mat(14,10) = 0; 
lmss_mat(14,11) = 0; 
lmss_mat(14,12) = 0; 
lmss_mat(14,13) = uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*alphaUU/uUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU); 
lmss_mat(14,14) = lambdafU*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*alphaUU/uUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*sUU; 
lmss_mat(14,15) = 0; 
lmss_mat(14,16) = 0; 
lmss_mat(14,17) = 0; 
lmss_vec(15) = 0; 
lmss_mat(15,1) = 0; 
lmss_mat(15,2) = 0; 
lmss_mat(15,3) = 1/(1+taucUU)*qUU*((-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))+1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU*iUU*muzstarU*upsilUU/iUU+3-exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))-1/(1+taucUU)/muupU+1/nbeta*betaUU/(1+taucUU)*qUU*(1/2*2^(1/2)*SdouprXUU^(1/2)*exp(1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU))-1/2*2^(1/2)*SdouprXUU^(1/2)*exp(-1/2*2^(1/2)*SdouprXUU^(1/2)*(zetaiU*iUU*muzstarU*upsilUU/iUU-muzstarUU*upsilUU)))*zetaiU^2*iUU^2*muzstarU*upsilUU/iUU^2; 
lmss_mat(15,4) = 0; 
lmss_mat(15,5) = 0; 
lmss_mat(15,6) = 1; 
lmss_mat(15,7) = -1/(1+taucUU)+1/nbeta*betaUU/(1+taucUU)/piUU/muzstarU*(1+RXUU); 
lmss_mat(15,8) = 0; 
lmss_mat(15,9) = 0; 
lmss_mat(15,10) = -1/(1+taucUU)+1/nbeta*betaUU/(1+taucUU)/piUU/muzstarU*(1+RkXUU); 
lmss_mat(15,11) = 0; 
lmss_mat(15,12) = 0; 
lmss_mat(15,13) = 1/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*(epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(15,14) = lambdafU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*(epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sUU; 
lmss_mat(15,15) = hUU*wstarUU^(lambdawUU/(lambdawUU-1))*(1-taulUU)/(1+taucUU)/lambdawUU; 
lmss_mat(15,16) = 0; 
lmss_mat(15,17) = 0; 
lmss_vec(16) = zetacU*zetaU*psiLXUU*(wstarUU/wplusUU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wplusUU*hUU^(1+sigmaLXUU); 
lmss_mat(16,1) = 0; 
lmss_mat(16,2) = 0; 
lmss_mat(16,3) = 0; 
lmss_mat(16,4) = 0; 
lmss_mat(16,5) = 0; 
lmss_mat(16,6) = 0; 
lmss_mat(16,7) = 0; 
lmss_mat(16,8) = 0; 
lmss_mat(16,9) = 0; 
lmss_mat(16,10) = 0; 
lmss_mat(16,11) = 0; 
lmss_mat(16,12) = 0; 
lmss_mat(16,13) = 0; 
lmss_mat(16,14) = 0; 
lmss_mat(16,15) = 0; 
lmss_mat(16,16) = 0; 
lmss_mat(16,17) = 1-nbeta*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))/wplusUU/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_vec(17) = -zetacU*zetaU*psiLXUU*(wstarUU/wplusUU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wstarUU*hUU^(1+sigmaLXUU); 
lmss_mat(17,1) = 0; 
lmss_mat(17,2) = -rkUU*(1+psikUU*RXUU)/alphaUU/epsilUU/((upsilUU*muzstarU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/uUU/kbarUU)^(1-alphaUU))*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(17,3) = 0; 
lmss_mat(17,4) = 0; 
lmss_mat(17,5) = 0; 
lmss_mat(17,6) = 0; 
lmss_mat(17,7) = 0; 
lmss_mat(17,8) = pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(17,9) = 0; 
lmss_mat(17,10) = 0; 
lmss_mat(17,11) = 0; 
lmss_mat(17,12) = 1-nbeta*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))/wstarUU/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(17,13) = uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(17,14) = lambdafU*uzcUU/(1+taucUU)*pstarUU^(lambdafU/(lambdafU-1))*epsilUU*(uUU*kbarUU/upsilUU/muzstarU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU*sUU; 
lmss_mat(17,15) = hUU*wstarUU^(lambdawUU/(lambdawUU-1))/(lambdawUU-1)/wstarUU*(1-taulUU)*uzcUU/(1+taucUU); 
lmss_mat(17,16) = zetacU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)/wstarUU*zetaUU; 
lmss_mat(17,17) = 0; 
lmss_vec(18) = 0; 
lmss_mat(18,1) = (1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkUU*(1+psikUU*RXUU))^alphaUU*(wUU*(1+psilUU*RXUU))^(1-alphaUU)*(1-alphaUU)/wUU/epsilUU; 
lmss_mat(18,2) = 0; 
lmss_mat(18,3) = 0; 
lmss_mat(18,4) = 0; 
lmss_mat(18,5) = 0; 
lmss_mat(18,6) = 0; 
lmss_mat(18,7) = 0; 
lmss_mat(18,8) = 0; 
lmss_mat(18,9) = 0; 
lmss_mat(18,10) = 0; 
lmss_mat(18,11) = 0; 
lmss_mat(18,12) = -((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(18,13) = 0; 
lmss_mat(18,14) = 0; 
lmss_mat(18,15) = betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piUU*(1/piUU/muzstarU/wUU*wUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXUU-1/nbeta*betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piUU*(1/piUU/muzstarU/wUU*wUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXUU; 
lmss_mat(18,16) = betaUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wUU*FwXUU/psiLXUU-betaUU*xiwUU^2*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wUU*FwXUU/psiLXUU-((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*FwXUU/psiLXUU-((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU+1/nbeta*(-betaUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU+betaUU*xiwUU^2*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*FwXUU/psiLXUU+betaUU*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU)+nbeta*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wUU*FwXUU/psiLXUU; 
lmss_mat(18,17) = -((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piUU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piUU/muzstarU/wUU*wUU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 

lmss_vals = -lmss_mat \ lmss_vec; 
errcheck = max(abs(lmss_mat*lmss_vals + lmss_vec)); 
% if errcheck > 1e-08, 
%   disp('Warning: steady states of lagrange multipliers cannot be accurately determined'); 
%   disp(['         errcheck = ',num2str(errcheck,12)]); 
% end; 

  lmult1U = lmss_vals(1); 
  lmult2U = lmss_vals(2); 
  lmult3U = lmss_vals(3); 
  lmult4U = lmss_vals(4); 
  lmult5U = lmss_vals(5); 
  lmult6U = lmss_vals(6); 
  lmult7U = lmss_vals(7); 
  lmult8U = lmss_vals(8); 
  lmult9U = lmss_vals(9); 
  lmult10U = lmss_vals(10); 
  lmult11U = lmss_vals(11); 
  lmult12U = lmss_vals(12); 
  lmult13U = lmss_vals(13); 
  lmult14U = lmss_vals(14); 
  lmult15U = lmss_vals(15); 
  lmult16U = lmss_vals(16); 
  lmult17U = lmss_vals(17); 
