// Endogenous variables  
// var piU, cU, hU, kU, pstarU, FpXU, sU, RXU, wplusU, wstarU, FwXU, wU, rrU, lambdazU, iU, yU, qU, gapU, gaphouseU, gapfirmU, piwU, Util, Welf;  
var piU, cU, hU, kU, pstarU, FpXU, sU, RXU, wplusU, wstarU, FwXU, wU, rrU, lambdazU, iU, yU, qU, gapU, gaphouseU, gapfirmU, piwU, Util, Welf, epsilU, Ux, 
    lmult1,  lmult2,  lmult3,  lmult4,  lmult5,  lmult6,  lmult7,   
    lmult8,  lmult9,  lmult10,  lmult11,  lmult12,  lmult13,  lmult14,   
    lmult15,  lmult16,  lmult17,  lmult18,  lmult19,  lmult20; 

// Exogenous variables  
// var epsilU Ux;  
  
varexo SIGNAL epx;  
  
//PARAMETERS  
parameters sigmaLXUU, betaUU, psiLXUU, zetaUU, alphaUU, deltaUU, xipUU,  
      iota1UU, iota2UU, phiUU, pibarUU,aptilUU, aytilUU,  rhotilUU,      
      xUU,lambdafUU,epsilUU,etagUU,pitargetUU,cUU,RXUU,piUU,hUU,kUU,pstarUU,FpXUU,UtilUU,WelfUU,nbeta,  
      rhoUU, bet, xiwUU, lambdawUU, sigmaLXUU, iotaw2UU, wplusUU, wstarUU, FwXUU, wUU, iUU, qUU, lambdazUU, bUU, etaUU, muzstarUU; 
  
params 
  
  
parameters lmult1U,  lmult2U,  lmult3U,  lmult4U,  lmult5U,   
           lmult6U,  lmult7U,  lmult8U,  lmult9U,  lmult10U,   
           lmult11U,  lmult12U,  lmult13U,  lmult14U,  lmult15U,   
           lmult16U,  lmult17U,  lmult18U,  lmult19U,  lmult20U; 
ssnew  
model;  
  
// Welfare and utility  
  
Util = log(cU*muzstarUU-bUU*cU(-1))-psiLXUU/(1+sigmaLXUU)*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^(1+sigmaLXUU); 
 
Welf = Util + nbeta*Welf(+1);  
  
// Policymaker's First-Order Conditions 
muzstarUU/(cU*muzstarUU-bUU*cU(-1))-nbeta*bUU/(muzstarUU*cU(+1)-bUU*cU)+lmult2*(muzstarUU^2/(cU*muzstarUU-bUU*cU(-1))^2+bUU^2*betaUU/(muzstarUU*cU(+1)-bUU*cU)^2)-1/nbeta*lmult2(-1)*bUU*betaUU/(cU*muzstarUU-bUU*cU(-1))^2*muzstarUU-nbeta*lmult2(+1)*muzstarUU/(muzstarUU*cU(+1)-bUU*cU)^2*bUU+lmult5-lmult20; 
-lmult10+1/nbeta*lmult10(-1)*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))*betaUU*xipUU-lmult11*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)+1/nbeta*lmult11(-1)*betaUU*xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(lambdafUU/(1-lambdafUU))*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU); 
-lmult13+1/nbeta*lmult13(-1)*betaUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piU*wU/wU(-1))^(lambdawUU/(lambdawUU-1))/piU-lmult14*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-(1+sigmaLXUU)*lambdawUU)*wU/psiLXUU+1/nbeta*lmult14(-1)*betaUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^((1+sigmaLXUU)*lambdawUU/(1-lambdawUU))*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-(1+sigmaLXUU)*lambdawUU)*wU/psiLXUU; 
lmult17; 
lmult18; 
lmult16; 
-psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^(1+sigmaLXUU)/hU-lmult1/(1-alphaUU)/epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^alphaUU*alphaUU/hU*wU+1/nbeta*lmult3(-1)*lambdazU*betaUU/muzstarUU/qU(-1)*alphaUU*epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^(1-alphaUU)*(1-alphaUU)/hU*sU-lmult5*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hU+lmult10*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hU+lmult11*lambdazU*lambdafUU*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hU*sU+lmult13*lambdazU*wstarU^(lambdawUU/(lambdawUU-1))/lambdawUU+lmult14*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)/hU+lmult16*(lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)*alphaUU/hU/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)+lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)*sigmaLXUU/hU)+lmult18*wU*lambdazU/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)*sigmaLXUU/hU; 
lmult4*(lambdazU*qU*(-2*muzstarUU^2/etaUU*(iU/iU(-1)-1)/iU(-1)-muzstarUU^2/etaUU/iU(-1)^2*iU)-lambdazU(+1)*betaUU*qU(+1)*muzstarUU^2/etaUU*iU(+1)^3/iU^4-2*lambdazU(+1)*betaUU*qU(+1)*muzstarUU^2/etaUU*(iU(+1)/iU-1)*iU(+1)^2/iU^3)+1/nbeta*lmult4(-1)*(lambdazU*betaUU*qU*muzstarUU^2/etaUU/iU(-1)^3*iU^2+2*lambdazU*betaUU*qU*muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1)^2)+nbeta*lmult4(+1)*lambdazU(+1)*qU(+1)*(2*muzstarUU^2/etaUU*(iU(+1)/iU-1)*iU(+1)/iU^2+muzstarUU^2/etaUU*iU(+1)^2/iU^3)+lmult5+lmult6*(-1+1/2*muzstarUU^2/etaUU*(iU/iU(-1)-1)^2+muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1))-nbeta*lmult6(+1)*muzstarUU^2/etaUU*(iU(+1)/iU-1)*iU(+1)^2/iU^2-lmult20; 
nbeta*lmult1(+1)/(1-alphaUU)/epsilU(+1)*(muzstarUU*hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1))/kU)^alphaUU*alphaUU/kU*wU(+1)-lmult3*lambdazU(+1)*betaUU/muzstarUU/qU*alphaUU*epsilU(+1)*(muzstarUU*hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1))/kU)^(1-alphaUU)*(1-alphaUU)/kU*sU(+1)-nbeta*lmult5(+1)*pstarU(+1)^(lambdafUU/(lambdafUU-1))*epsilU(+1)*(kU/muzstarUU)^alphaUU*alphaUU/kU*(hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)+lmult6+nbeta*lmult6(+1)*(-1+deltaUU)/muzstarUU+nbeta*lmult10(+1)*lambdazU(+1)*pstarU(+1)^(lambdafUU/(lambdafUU-1))*epsilU(+1)*(kU/muzstarUU)^alphaUU*alphaUU/kU*(hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)+nbeta*lmult11(+1)*lambdazU(+1)*lambdafUU*pstarU(+1)^(lambdafUU/(lambdafUU-1))*epsilU(+1)*(kU/muzstarUU)^alphaUU*alphaUU/kU*(hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*sU(+1)-nbeta*lmult16(+1)*lambdazU(+1)*pstarU(+1)^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU(+1)*(kU/muzstarUU)^alphaUU*alphaUU/kU*(wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU(+1)^(-alphaUU)/psiLXUU/((wstarU(+1)/wplusU(+1))^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU(+1)^sigmaLXUU); 
lmult2-lmult3+1/nbeta*lmult3(-1)*betaUU/muzstarUU/qU(-1)*(alphaUU*epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^(1-alphaUU)*sU+qU*(1-deltaUU))+lmult4*(qU*(1-1/2*muzstarUU^2/etaUU*(iU/iU(-1)-1)^2-muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1))-1)+1/nbeta*lmult4(-1)*betaUU*qU*muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU^2/iU(-1)^2-lmult7+1/nbeta*lmult7(-1)*betaUU*(1+RXU(-1))/muzstarUU/piU+lmult10*pstarU^(lambdafUU/(lambdafUU-1))*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult11*lambdafUU*pstarU^(lambdafUU/(lambdafUU-1))*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sU+lmult13*hU*wstarU^(lambdawUU/(lambdawUU-1))/lambdawUU-lmult16*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)-lmult18*wU/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU); 
-1/nbeta*lmult7(-1)*lambdazU*betaUU*(1+RXU(-1))/muzstarUU/piU^2+1/nbeta*lmult8(-1)*(1+RXU(-1))/piU^2-lmult9*((1-xipUU)*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU*pstarU(-1))^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))/lambdafUU*(1-lambdafUU)*((1-xipUU)*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU*lambdafUU*xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))/(1-lambdafUU)/piU/(1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU*pstarU(-1))^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)/piU)/((1-xipUU)*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU*pstarU(-1))^(lambdafUU/(1-lambdafUU)))-nbeta*lmult9(+1)*((1-xipUU)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1)*pstarU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))/lambdafUU*(1-lambdafUU)*((-1+xipUU)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU*lambdafUU*xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU))/(1-lambdafUU)*iota2UU/piU/(1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))+xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1)*pstarU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)*iota2UU/piU)/((1-xipUU)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1)*pstarU)^(lambdafUU/(1-lambdafUU)))+lmult10*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU))/(1-lambdafUU)*iota2UU/piU*betaUU*xipUU*FpXU(+1)-1/nbeta*lmult10(-1)*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))/(1-lambdafUU)/piU*betaUU*xipUU*FpXU+lmult11*(betaUU*xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)*iota2UU/piU*FpXU(+1)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)-betaUU*xipUU^2*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(lambdafUU/(1-lambdafUU))*FpXU(+1)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU))*iota2UU/piU/(1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))-FpXU*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))/piU/(1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))))+1/nbeta*lmult11(-1)*(-betaUU*xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)/piU*FpXU*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)+betaUU*xipUU^2*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(lambdafUU/(1-lambdafUU))*FpXU*((1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))/piU/(1-xipUU*(piU(-1)^iota2UU*pibarUU^(1-iota2UU)/piU)^(1/(1-lambdafUU))))+nbeta*lmult11(+1)*FpXU(+1)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU))*iota2UU/piU/(1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))+lmult12*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU*wstarU(-1))^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/piU)/((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))+nbeta*lmult12(+1)*((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((-1+xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*iotaw2UU/piU)/((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU)))+lmult13*betaUU*xiwUU*FwXU(+1)*(piU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU*(piU(+1)*wU(+1)/wU)^(lambdawUU/(lambdawUU-1))/piU(+1)+1/nbeta*lmult13(-1)*(betaUU*xiwUU*FwXU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piU*wU/wU(-1))^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/piU^2-betaUU*xiwUU*FwXU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piU*wU/wU(-1))^(lambdawUU/(lambdawUU-1))/piU^2)+lmult14*(betaUU*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piU*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU(+1)*wU(+1)/psiLXUU-betaUU*xiwUU^2*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))*FwXU(+1)*wU(+1)/psiLXUU-((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))*FwXU*wU/psiLXUU)+1/nbeta*lmult14(-1)*(-betaUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piU*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU*wU/psiLXUU+betaUU*xiwUU^2*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))*FwXU*wU/psiLXUU)+nbeta*lmult14(+1)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))*FwXU(+1)*wU(+1)/psiLXUU-lmult15*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU(-1)*wU(-1)*piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))-xiwUU*(wplusU(-1)*wU(-1)*piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piU)/((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU(-1)*wU(-1)*piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*lmult15(+1)*((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((-1+xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piU)/((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-lmult19*wU*muzstarUU/wU(-1); 
lmult19; 
-lmult5*pstarU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarU*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult9-nbeta*lmult9(+1)*((1-xipUU)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1)*pstarU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))*xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1)*pstarU)^(lambdafUU/(1-lambdafUU))/pstarU/((1-xipUU)*((1-xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1)*pstarU)^(lambdafUU/(1-lambdafUU)))+lmult10*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarU*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult11*lambdazU*lambdafUU^2*pstarU^(lambdafUU/(lambdafUU-1))/(lambdafUU-1)/pstarU*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sU-lmult16*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarU*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU); 
-lmult3*lambdazU(+1)*betaUU/muzstarUU/qU^2*(alphaUU*epsilU(+1)*(muzstarUU*hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1))/kU)^(1-alphaUU)*sU(+1)+qU(+1)*(1-deltaUU))+1/nbeta*lmult3(-1)*lambdazU*betaUU/muzstarUU/qU(-1)*(1-deltaUU)+lmult4*lambdazU*(1-1/2*muzstarUU^2/etaUU*(iU/iU(-1)-1)^2-muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1))+1/nbeta*lmult4(-1)*lambdazU*betaUU*muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU^2/iU(-1)^2; 
lmult8; 
lmult7*lambdazU(+1)*betaUU/muzstarUU/piU(+1)-lmult8/piU(+1); 
lmult1+1/nbeta*lmult3(-1)*lambdazU*betaUU/muzstarUU/qU(-1)*alphaUU*epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^(1-alphaUU)+lmult11*lambdazU*lambdafUU*pstarU^(lambdafUU/(lambdafUU-1))*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult17/sU^2; 
psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wplusU*hU^(1+sigmaLXUU)+lmult15-nbeta*lmult15(+1)*((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))/wplusU/((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-lmult16*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wplusU-lmult18*wU*lambdazU/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wplusU; 
-psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wstarU*hU^(1+sigmaLXUU)-lmult1/(1-alphaUU)/epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^alphaUU*alphaUU*lambdawUU/(lambdawUU-1)/wstarU*wU+1/nbeta*lmult3(-1)*lambdazU*betaUU/muzstarUU/qU(-1)*alphaUU*epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU*sU-lmult5*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU+lmult10*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU+lmult11*lambdazU*lambdafUU*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU*sU-lmult12+nbeta*lmult12(+1)*((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU))/wstarU/((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU)))+lmult13*hU*lambdazU*wstarU^(lambdawUU/(lambdawUU-1))/(lambdawUU-1)/wstarU+lmult14*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarU+lmult16*(-lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)^2*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)+lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarU)+lmult18*wU*lambdazU/psiLXUU/((wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarU; 
-lmult1/(1-alphaUU)/epsilU*(muzstarUU*hU*wstarU^(lambdawUU/(lambdawUU-1))/kU(-1))^alphaUU+lmult12*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU*wstarU(-1))^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))+nbeta*lmult12(+1)*((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((-1+xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1)*wstarU)^(lambdawUU/(1-lambdawUU)))-lmult13*betaUU*xiwUU*FwXU(+1)*(piU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piU(+1)*wU(+1)/wU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wU/piU(+1)+1/nbeta*lmult13(-1)*betaUU*xiwUU*FwXU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piU*wU/wU(-1))^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wU/piU+lmult14*(betaUU*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wU*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU(+1)*wU(+1)/psiLXUU-betaUU*xiwUU^2*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))*FwXU(+1)*wU(+1)/psiLXUU-((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))*FwXU/psiLXUU-((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU/psiLXUU)+1/nbeta*lmult14(-1)*(-betaUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU/psiLXUU+betaUU*xiwUU^2*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))*FwXU/psiLXUU+betaUU*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU/psiLXUU)+nbeta*lmult14(+1)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))*FwXU(+1)*wU(+1)/psiLXUU-lmult15*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU(-1)*wU(-1)*piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))-xiwUU*(wplusU(-1)*wU(-1)*piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/piU/wU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU(-1)*wU(-1)*piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)/piU/wU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*lmult15(+1)*((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((-1+xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(piU^iotaw2UU*pibarUU^(1-iotaw2UU)*wU/piU(+1)/wU(+1))^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusU*wU*piU^iotaw2UU*pibarUU^(1-iotaw2UU)/piU(+1)/wU(+1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-lmult18*lambdazU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)-lmult19*muzstarUU*piU/wU(-1)+nbeta*lmult19(+1)*wU(+1)*muzstarUU*piU(+1)/wU^2; 
lmult20; 
 
// marginal cost in terms of wage rate (eq2p)  
sU - (1/(1-alphaUU))*(1/epsilU)*(( muzstarUU*hU*(wstarU ^ (lambdawUU/(lambdawUU-1))) /kU(-1))^alphaUU)*wU;  
  
// lambdaz (lamz)  
lambdazU - muzstarUU/(muzstarUU*cU-bUU*cU(-1)) + bUU*betaUU/(muzstarUU*cU(+1)-bUU*cU);  
  
// intertemporal Euler equation (aapp)  
-lambdazU + (lambdazU(+1)*betaUU/(muzstarUU*qU))*(alphaUU*epsilU(+1)*(muzstarUU * hU(+1)*(wstarU(+1) ^ (lambdawUU/(lambdawUU-1))) /kU)^(1-alphaUU)*sU(+1) + qU(+1)*(1-deltaUU) );  
  
// investment equation (invest)  
lambdazU*qU*(1-(muzstarUU^2/(2*etaUU))*(iU/iU(-1)-1)^2-(muzstarUU^2/etaUU)*(iU/iU(-1)-1)*iU/iU(-1)) - lambdazU + betaUU*lambdazU(+1)*qU(+1)*(muzstarUU^2/etaUU)*(iU(+1)/iU-1)*(iU(+1)/iU)^2;  
 
// resource constraint (resource)  
cU + iU - (pstarU^(lambdafUU/(lambdafUU-1))) * ( epsilU * ( kU(-1)/muzstarUU )^alphaUU  * ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1))) )^(1-alphaUU)  - phiUU);  
  
// capital accumulation equation (capital)  
kU - ((1-deltaUU)/muzstarUU)*kU(-1) - (1 - (muzstarUU^2/(2*etaUU))*(iU/iU(-1)-1)^2)*iU;  
  
// equation defining the nominal rate of interest (nominal)  
-lambdazU + betaUU*lambdazU(+1)*(1+RXU)/(muzstarUU*piU(+1));  
 
// ex ante real rate of interest 
rrU-(1+RXU)/piU(+1); 
 
// 7 sticky price/wage equations... 
 
// p-star equation (cc)  
pstarU - ((1-xipUU)*( ( ( (1 - xipUU*(( (piU(-1)^iota2UU) * pibarUU^(1-iota2UU) )/piU)^(1/(1-lambdafUU)) ) / (1-xipUU) ) ) ^ lambdafUU ) + xipUU*(((( (piU(-1)^iota2UU) * pibarUU^(1-iota2UU) )/piU)*pstarU(-1))^( lambdafUU / (1-lambdafUU) )) )^(1/( lambdafUU / (1-lambdafUU) ));  
  
// Fp equation (ddp)  
(lambdazU)*(pstarU^(lambdafUU/(lambdafUU-1))) * ( epsilU * ( kU(-1)/muzstarUU )^alphaUU  * ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1))) )^(1-alphaUU)  - phiUU) + 
     (piU^iota2UU*pibarUU^(1-iota2UU)/piU(+1))^(1/(1-lambdafUU))*betaUU*xipUU*FpXU(+1) - FpXU;  
  
// Kp equation (substituted out in terms of Fp) (eep)  
(lambdazU)*lambdafUU* (pstarU^(lambdafUU/(lambdafUU-1))) * ( epsilU* (kU(-1)/muzstarUU)^alphaUU* ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1))) )^(1-alphaUU) - phiUU) * sU  + betaUU * xipUU * ( ( piU^iota2UU * pibarUU^(1-iota2UU) /piU(+1)) ^ (lambdafUU/(1-lambdafUU)) ) * ( FpXU(+1)* (( ( (1 - xipUU*(( (piU^iota2UU) * pibarUU^(1-iota2UU) )/piU(+1))^(1/(1-lambdafUU)) ) / (1-xipUU) ) )^(1-lambdafUU)) ) - ( FpXU* (( ( (1 - xipUU*(( (piU(-1)^iota2UU) * pibarUU^(1-iota2UU) )/piU)^(1/(1-lambdafUU)) ) / (1-xipUU) ) )^(1-lambdafUU)) );  
  
// wstar equation (eq32)  
( (1-xiwUU)*( (( 1 - xiwUU * ( piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU) * wU(-1)/(piU*wU) )^(1/(1-lambdawUU)) )/( 1 - xiwUU) )^lambdawUU )  
   + xiwUU*( piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU) * wU(-1)/(piU*wU) * wstarU(-1)) ^ (lambdawUU/(1-lambdawUU)) )^ ((1-lambdawUU)/lambdawUU) - wstarU;  
   
// Fw equation (eq35)  
hU*lambdazU*(wstarU ^ (lambdawUU/(lambdawUU-1)))/(lambdawUU)  
   + betaUU*xiwUU*FwXU(+1)*( piU^iotaw2UU*pibarUU^(1-iotaw2UU) )^(1/(1-lambdawUU)) * (piU(+1)*wU(+1)/wU)^(lambdawUU/(lambdawUU-1))/piU(+1)  
   - FwXU;  
  
// Kw equation (eq36)  
(((wstarU ^ (lambdawUU/(lambdawUU-1)))*hU)^(1+sigmaLXUU))  
+ betaUU*xiwUU*( piU^iotaw2UU*pibarUU^(1-iotaw2UU) * wU/(piU(+1)*wU(+1)) )^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))   
* ( (( 1 - xiwUU * ( piU^iotaw2UU*pibarUU^(1-iotaw2UU) * wU/(piU(+1)*wU(+1)) )^(1/(1-lambdawUU)) )/( 1 - xiwUU) )^(1-lambdawUU*(1+sigmaLXUU)) ) * FwXU(+1)*wU(+1)/psiLXUU  
- ( (( 1 - xiwUU * ( piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU) * wU(-1)/(piU*wU) )^(1/(1-lambdawUU)) )/( 1 - xiwUU) )^(1-lambdawUU*(1+sigmaLXUU)) ) * FwXU*wU/psiLXUU;  
  
// wplus equation (wplus) 
wplusU - (   (1 - xiwUU) * ( (1-xiwUU*(piU(-1)^iotaw2UU*pibarUU^(1-iotaw2UU)*wU(-1)/(wU*piU))^(1/(1-lambdawUU)))/(1-xiwUU) ) ^ (lambdawUU*(1+sigmaLXUU))  
+ xiwUU * ( wplusU(-1) * wU(-1) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw2UU)) / (wU*piU) ) ^ (lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))  )^( (1-lambdawUU)/(lambdawUU*(1+sigmaLXUU)) ); 
 
// other stuff... 
 
// this is the 'inefficiency gap' or the labor wedge: marginal product of labor divided by (-ul/lambdaz) 
gapU=lambdazU*(pstarU^(lambdafUU/(lambdafUU-1)))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU )^alphaUU*((wstarU^(lambdawUU/(lambdawUU-1))))^(1-alphaUU)*(hU^(-alphaUU)) 
             /( psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^sigmaLXUU  ); 
              
// firm inefficiency gap, marginal product of labor divided by real wage, = s. 
gapfirmU-1/sU; 
 
// household inefficiency gap, real wage divided by marginal rate of substitution between consumption and leisure 
gaphouseU=wU*lambdazU/ ( psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^(sigmaLXUU)  ); 
  
// nominal wage growth 
piwU - wU*muzstarUU*piU/wU(-1); 
 
// definition of output 
yU-cU-iU; 
  
// law of motion of exogenous shock 
log(epsilU) = rhoUU*log(epsilU(-1))+ Ux(-12) + epx; 
Ux = SIGNAL; 
  
end;  
  
  
initval;  
yU=cUU+iUU; 
rrU=(1+RXUU)/piUU; 
gapU=lambdafUU*lambdawUU; 
gapfirmU=lambdafUU; 
gaphouseU=lambdawUU; 
wplusU=wplusUU;  
wstarU=wstarUU;  
wU=wUU;  
FwXU=FwXUU;  
qU=qUU;  
iU=iUU;  
lambdazU=lambdazUU;  
sU=sUU;  
piU=piUU;  
pstarU=pstarUU;  
kU=kUU;  
hU=hUU;  
cU=cUU;  
FpXU=FpXUU;  
Util=0;  
Welf=0;  
RXU=RXUU;  
epsilU=epsilUU;  
Ux=0; 
piwU=muzstarUU*piUU; 
lmult1 = lmult1U; 
lmult2 = lmult2U; 
lmult3 = lmult3U; 
lmult4 = lmult4U; 
lmult5 = lmult5U; 
lmult6 = lmult6U; 
lmult7 = lmult7U; 
lmult8 = lmult8U; 
lmult9 = lmult9U; 
lmult10 = lmult10U; 
lmult11 = lmult11U; 
lmult12 = lmult12U; 
lmult13 = lmult13U; 
lmult14 = lmult14U; 
lmult15 = lmult15U; 
lmult16 = lmult16U; 
lmult17 = lmult17U; 
lmult18 = lmult18U; 
lmult19 = lmult19U; 
lmult20 = lmult20U; 
end;  
  
shocks;  
var SIGNAL;  
stderr 1;  
var epx;  
stderr 1;  
end;  
  
steady;  
  
// stoch_simul(dr_algo=0,periods=1000,simul_seed=1,irf=100);  
stoch_simul(order=1,irf=24) cU hU piU kU epsilU RXU sU qU iU wU gapU gaphouseU gapfirmU piwU rrU yU; 
 
cimp=cU_SIGNAL; 
himp=hU_SIGNAL; 
iimp=iU_SIGNAL; 
qimp=qU_SIGNAL; 
piimp=piU_SIGNAL; 
Rimp=RXU_SIGNAL; 
Epsimp=epsilU_SIGNAL; 
simp=sU_SIGNAL; 
kimp=kU_SIGNAL; 
wimp=wU_SIGNAL; 
yimp=yU_SIGNAL; 
piwimp=piwU_SIGNAL; 
rrimp=rrU_SIGNAL; 
gapimp=gapU_SIGNAL; 
gapfirmimp=gapfirmU_SIGNAL; 
gaphouseimp=gaphouseU_SIGNAL;   
for ii = 13:24  
    cimp(ii)=cimp(ii)-cU_epx(ii-12); 
    himp(ii)=himp(ii)-hU_epx(ii-12); 
    iimp(ii)=iimp(ii)-iU_epx(ii-12); 
    qimp(ii)=qimp(ii)-qU_epx(ii-12); 
    piimp(ii)=piimp(ii)-piU_epx(ii-12); 
    Rimp(ii)=Rimp(ii)-RXU_epx(ii-12); 
    wimp(ii)=wimp(ii)-wU_epx(ii-12); 
    yimp(ii)=yimp(ii)-yU_epx(ii-12); 
    simp(ii)=simp(ii)-sU_epx(ii-12); 
    piwimp(ii)=piwimp(ii)-piwU_epx(ii-12); 
    rrimp(ii)=rrimp(ii)-rrU_epx(ii-12); 
    gapimp(ii)=gapimp(ii)-gapU_epx(ii-12); 
    gapfirmimp(ii)=gapfirmimp(ii)-gapfirmU_epx(ii-12); 
    gaphouseimp(ii)=gaphouseimp(ii)-gaphouseU_epx(ii-12); 
    Epsimp(ii)=Epsimp(ii)-epsilU_epx(ii-12); 
end  
 
bUUU=bUU;SdouprXUUU=SdouprXUU;betaUUU=betaUU;deltaUUU=deltaUU;alphaUUU=alphaUU;psiLXUUU=psiLXUU;sigmaLXUUU=sigmaLXUU;rhoUUU=rhoUU;
muzstarUUU=muzstarUU;lambdafUUU=lambdafUU;lambdawUUU=lambdawUU;xipUUU=xipUU;xiwUUU=xiwUU;iotaw2UUU=iotaw2UU;iota2UUU=iota2UU;
iota1UUU=iota1UU;rhoUUU=rhoUU;

ppiUU=piUU;RRXUU=RXUU;ppstarUU=pstarUU;kkUU=kUU;hhUU=hUU;ccUU=cUU;FFpXUU=FpXUU;pphiUU=phiUU;ssUU=sUU;FFwXUU=FwXUU;wwstarUU=wstarUU;
wwplusUU=wplusUU;wwUU=wUU;qqUU=qUU;llambdazUU=lambdazUU;iiUU=iUU;
 
cram=cimp; 
hram=himp; 
iram=iimp; 
qram=qimp; 
piram=piimp; 
Rram=Rimp; 
wram=wimp; 
yram=yimp; 
sram=simp; 
gapram=gapimp; 
gaphouseram=gaphouseimp; 
gapfirmram=gapfirmimp; 
Epsram=Epsimp; 
piwram=piwimp; 
rrram=rrimp; 
 
save newkeynesian yram rrram cram hram iram qram piram Rram wram gapram gaphouseram gapfirmram Epsram piwram sram bUUU SdouprXUUU betaUUU deltaUUU alphaUUU psiLXUUU sigmaLXUUU rhoUUU muzstarUUU lambdafUUU lambdawUUU xipUUU xiwUUU iotaw2UUU iota2UUU iota1UUU rhoUUU ppiUU RRXUU ppstarUU kkUU hhUU ccUU FFpXUU pphiUU ssUU FFwXUU wwstarUU wwplusUU wwUU qqUU llambdazUU iiUU;
 
pltt 
str=['\xi_{w} = ',num2str(xiwUU),'  \xi_{p} = ',num2str(xipUU),'  \lambda_{f} = ',num2str(lambdafUU),'  \lambda_{w} = ',num2str(lambdawUU),' \iota_{w,2} = ',num2str(iotaw2UU)]; 
hout=suptitle(str); 
 
%dr_algo=0, perturbation approach a la Schmitt-Grohe-Uribe  
%order = 2, second order approximation, default  
%irf, # of periods for impulse responses  
%variables next to parentheses means these are the variables you want  
