% Coefficients defining linear system for obtaining steady states of LM variables 
% 
% global cUU epsilUU FpXUU FwXUU gapfirmUU gaphouseUU gapUU ... 
%        hUU iUU kUU lambdazUU piUU piwUU pstarUU qUU ... 
%        rrUU RXUU sUU UxU wplusUU wstarUU wUU yUU; 
%   
% global lmult1U lmult2U lmult3U lmult4U lmult5U lmult6U ... 
%        lmult7U lmult8U lmult9U lmult10U lmult11U lmult12U ... 
%        lmult13U lmult14U lmult15U lmult16U lmult17U lmult18U ... 
%        lmult19U lmult20U; 
  
lmss_mat = zeros(21,20); 
lmss_vec = zeros(21,1); 
lmss_vec(1) = muzstarUU/(cUU*muzstarUU-bUU*cUU)-nbeta*bUU/(muzstarUU*cUU-bUU*cUU); 
lmss_mat(1,1) = 0; 
lmss_mat(1,2) = muzstarUU^2/(cUU*muzstarUU-bUU*cUU)^2+bUU^2*betaUU/(muzstarUU*cUU-bUU*cUU)^2-1/nbeta*bUU*betaUU/(cUU*muzstarUU-bUU*cUU)^2*muzstarUU-nbeta*muzstarUU/(muzstarUU*cUU-bUU*cUU)^2*bUU; 
lmss_mat(1,3) = 0; 
lmss_mat(1,4) = 0; 
lmss_mat(1,5) = 1; 
lmss_mat(1,6) = 0; 
lmss_mat(1,7) = 0; 
lmss_mat(1,8) = 0; 
lmss_mat(1,9) = 0; 
lmss_mat(1,10) = 0; 
lmss_mat(1,11) = 0; 
lmss_mat(1,12) = 0; 
lmss_mat(1,13) = 0; 
lmss_mat(1,14) = 0; 
lmss_mat(1,15) = 0; 
lmss_mat(1,16) = 0; 
lmss_mat(1,17) = 0; 
lmss_mat(1,18) = 0; 
lmss_mat(1,19) = 0; 
lmss_mat(1,20) = -1; 
lmss_vec(2) = 0; 
lmss_mat(2,1) = 0; 
lmss_mat(2,2) = 0; 
lmss_mat(2,3) = 0; 
lmss_mat(2,4) = 0; 
lmss_mat(2,5) = 0; 
lmss_mat(2,6) = 0; 
lmss_mat(2,7) = 0; 
lmss_mat(2,8) = 0; 
lmss_mat(2,9) = 0; 
lmss_mat(2,10) = -1+1/nbeta*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))*betaUU*xipUU; 
lmss_mat(2,11) = -((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)+1/nbeta*betaUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU); 
lmss_mat(2,12) = 0; 
lmss_mat(2,13) = 0; 
lmss_mat(2,14) = 0; 
lmss_mat(2,15) = 0; 
lmss_mat(2,16) = 0; 
lmss_mat(2,17) = 0; 
lmss_mat(2,18) = 0; 
lmss_mat(2,19) = 0; 
lmss_mat(2,20) = 0; 
lmss_vec(3) = 0; 
lmss_mat(3,1) = 0; 
lmss_mat(3,2) = 0; 
lmss_mat(3,3) = 0; 
lmss_mat(3,4) = 0; 
lmss_mat(3,5) = 0; 
lmss_mat(3,6) = 0; 
lmss_mat(3,7) = 0; 
lmss_mat(3,8) = 0; 
lmss_mat(3,9) = 0; 
lmss_mat(3,10) = 0; 
lmss_mat(3,11) = 0; 
lmss_mat(3,12) = 0; 
lmss_mat(3,13) = -1+1/nbeta*betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))/piUU; 
lmss_mat(3,14) = -((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-(1+sigmaLXUU)*lambdawUU)*wUU/psiLXUU+1/nbeta*betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^((1+sigmaLXUU)*lambdawUU/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-(1+sigmaLXUU)*lambdawUU)*wUU/psiLXUU; 
lmss_mat(3,15) = 0; 
lmss_mat(3,16) = 0; 
lmss_mat(3,17) = 0; 
lmss_mat(3,18) = 0; 
lmss_mat(3,19) = 0; 
lmss_mat(3,20) = 0; 
lmss_vec(4) = 0; 
lmss_mat(4,1) = 0; 
lmss_mat(4,2) = 0; 
lmss_mat(4,3) = 0; 
lmss_mat(4,4) = 0; 
lmss_mat(4,5) = 0; 
lmss_mat(4,6) = 0; 
lmss_mat(4,7) = 0; 
lmss_mat(4,8) = 0; 
lmss_mat(4,9) = 0; 
lmss_mat(4,10) = 0; 
lmss_mat(4,11) = 0; 
lmss_mat(4,12) = 0; 
lmss_mat(4,13) = 0; 
lmss_mat(4,14) = 0; 
lmss_mat(4,15) = 0; 
lmss_mat(4,16) = 0; 
lmss_mat(4,17) = 1; 
lmss_mat(4,18) = 0; 
lmss_mat(4,19) = 0; 
lmss_mat(4,20) = 0; 
lmss_vec(5) = 0; 
lmss_mat(5,1) = 0; 
lmss_mat(5,2) = 0; 
lmss_mat(5,3) = 0; 
lmss_mat(5,4) = 0; 
lmss_mat(5,5) = 0; 
lmss_mat(5,6) = 0; 
lmss_mat(5,7) = 0; 
lmss_mat(5,8) = 0; 
lmss_mat(5,9) = 0; 
lmss_mat(5,10) = 0; 
lmss_mat(5,11) = 0; 
lmss_mat(5,12) = 0; 
lmss_mat(5,13) = 0; 
lmss_mat(5,14) = 0; 
lmss_mat(5,15) = 0; 
lmss_mat(5,16) = 0; 
lmss_mat(5,17) = 0; 
lmss_mat(5,18) = 1; 
lmss_mat(5,19) = 0; 
lmss_mat(5,20) = 0; 
lmss_vec(6) = 0; 
lmss_mat(6,1) = 0; 
lmss_mat(6,2) = 0; 
lmss_mat(6,3) = 0; 
lmss_mat(6,4) = 0; 
lmss_mat(6,5) = 0; 
lmss_mat(6,6) = 0; 
lmss_mat(6,7) = 0; 
lmss_mat(6,8) = 0; 
lmss_mat(6,9) = 0; 
lmss_mat(6,10) = 0; 
lmss_mat(6,11) = 0; 
lmss_mat(6,12) = 0; 
lmss_mat(6,13) = 0; 
lmss_mat(6,14) = 0; 
lmss_mat(6,15) = 0; 
lmss_mat(6,16) = 1; 
lmss_mat(6,17) = 0; 
lmss_mat(6,18) = 0; 
lmss_mat(6,19) = 0; 
lmss_mat(6,20) = 0; 
lmss_vec(7) = -psiLXUU*(wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hUU^(1+sigmaLXUU)/hUU; 
lmss_mat(7,1) = -1/(1-alphaUU)/epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU*alphaUU/hUU*wUU; 
lmss_mat(7,2) = 0; 
lmss_mat(7,3) = 1/nbeta*lambdazUU*betaUU/muzstarUU/qUU*alphaUU*epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*(1-alphaUU)/hUU*sUU; 
lmss_mat(7,4) = 0; 
lmss_mat(7,5) = -pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU; 
lmss_mat(7,6) = 0; 
lmss_mat(7,7) = 0; 
lmss_mat(7,8) = 0; 
lmss_mat(7,9) = 0; 
lmss_mat(7,10) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU; 
lmss_mat(7,11) = lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU*sUU; 
lmss_mat(7,12) = 0; 
lmss_mat(7,13) = lambdazUU*wstarUU^(lambdawUU/(lambdawUU-1))/lambdawUU; 
lmss_mat(7,14) = (hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)/hUU; 
lmss_mat(7,15) = 0; 
lmss_mat(7,16) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)*alphaUU/hUU/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)+lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)*sigmaLXUU/hUU; 
lmss_mat(7,17) = 0; 
lmss_mat(7,18) = wUU*lambdazUU/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)*sigmaLXUU/hUU; 
lmss_mat(7,19) = 0; 
lmss_mat(7,20) = 0; 
lmss_vec(8) = 0; 
lmss_mat(8,1) = 0; 
lmss_mat(8,2) = 0; 
lmss_mat(8,3) = 0; 
lmss_mat(8,4) = lambdazUU*qUU*(-2*muzstarUU^2/etaUU*(iUU/iUU-1)/iUU-muzstarUU^2/etaUU/iUU^2*iUU)-lambdazUU*betaUU*qUU*muzstarUU^2/etaUU*iUU^3/iUU^4-2*lambdazUU*betaUU*qUU*muzstarUU^2/etaUU*(iUU/iUU-1)*iUU^2/iUU^3+1/nbeta*(lambdazUU*betaUU*qUU*muzstarUU^2/etaUU/iUU^3*iUU^2+2*lambdazUU*betaUU*qUU*muzstarUU^2/etaUU*(iUU/iUU-1)*iUU/iUU^2)+nbeta*lambdazUU*qUU*(2*muzstarUU^2/etaUU*(iUU/iUU-1)*iUU/iUU^2+muzstarUU^2/etaUU*iUU^2/iUU^3); 
lmss_mat(8,5) = 1; 
lmss_mat(8,6) = -1+1/2*muzstarUU^2/etaUU*(iUU/iUU-1)^2+muzstarUU^2/etaUU*(iUU/iUU-1)*iUU/iUU-nbeta*muzstarUU^2/etaUU*(iUU/iUU-1)*iUU^2/iUU^2; 
lmss_mat(8,7) = 0; 
lmss_mat(8,8) = 0; 
lmss_mat(8,9) = 0; 
lmss_mat(8,10) = 0; 
lmss_mat(8,11) = 0; 
lmss_mat(8,12) = 0; 
lmss_mat(8,13) = 0; 
lmss_mat(8,14) = 0; 
lmss_mat(8,15) = 0; 
lmss_mat(8,16) = 0; 
lmss_mat(8,17) = 0; 
lmss_mat(8,18) = 0; 
lmss_mat(8,19) = 0; 
lmss_mat(8,20) = -1; 
lmss_vec(9) = 0; 
lmss_mat(9,1) = nbeta/(1-alphaUU)/epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU*alphaUU/kUU*wUU; 
lmss_mat(9,2) = 0; 
lmss_mat(9,3) = -lambdazUU*betaUU/muzstarUU/qUU*alphaUU*epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*(1-alphaUU)/kUU*sUU; 
lmss_mat(9,4) = 0; 
lmss_mat(9,5) = -nbeta*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*alphaUU/kUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU); 
lmss_mat(9,6) = 1+nbeta*(-1+deltaUU)/muzstarUU; 
lmss_mat(9,7) = 0; 
lmss_mat(9,8) = 0; 
lmss_mat(9,9) = 0; 
lmss_mat(9,10) = nbeta*lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*alphaUU/kUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU); 
lmss_mat(9,11) = nbeta*lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*alphaUU/kUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*sUU; 
lmss_mat(9,12) = 0; 
lmss_mat(9,13) = 0; 
lmss_mat(9,14) = 0; 
lmss_mat(9,15) = 0; 
lmss_mat(9,16) = -nbeta*lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*alphaUU/kUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU); 
lmss_mat(9,17) = 0; 
lmss_mat(9,18) = 0; 
lmss_mat(9,19) = 0; 
lmss_mat(9,20) = 0; 
lmss_vec(10) = 0; 
lmss_mat(10,1) = 0; 
lmss_mat(10,2) = 1; 
lmss_mat(10,3) = -1+1/nbeta*betaUU/muzstarUU/qUU*(alphaUU*epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*sUU+qUU*(1-deltaUU)); 
lmss_mat(10,4) = qUU*(1-1/2*muzstarUU^2/etaUU*(iUU/iUU-1)^2-muzstarUU^2/etaUU*(iUU/iUU-1)*iUU/iUU)-1+1/nbeta*betaUU*qUU*muzstarUU^2/etaUU*(iUU/iUU-1)*iUU^2/iUU^2; 
lmss_mat(10,5) = 0; 
lmss_mat(10,6) = 0; 
lmss_mat(10,7) = -1+1/nbeta*betaUU*(1+RXUU)/muzstarUU/piUU; 
lmss_mat(10,8) = 0; 
lmss_mat(10,9) = 0; 
lmss_mat(10,10) = pstarUU^(lambdafUU/(lambdafUU-1))*(epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(10,11) = lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*(epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sUU; 
lmss_mat(10,12) = 0; 
lmss_mat(10,13) = hUU*wstarUU^(lambdawUU/(lambdawUU-1))/lambdawUU; 
lmss_mat(10,14) = 0; 
lmss_mat(10,15) = 0; 
lmss_mat(10,16) = -pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU); 
lmss_mat(10,17) = 0; 
lmss_mat(10,18) = -wUU/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU); 
lmss_mat(10,19) = 0; 
lmss_mat(10,20) = 0; 
lmss_vec(11) = 0; 
lmss_mat(11,1) = 0; 
lmss_mat(11,2) = 0; 
lmss_mat(11,3) = 0; 
lmss_mat(11,4) = 0; 
lmss_mat(11,5) = 0; 
lmss_mat(11,6) = 0; 
lmss_mat(11,7) = -1/nbeta*lambdazUU*betaUU*(1+RXUU)/muzstarUU/piUU^2; 
lmss_mat(11,8) = 1/nbeta*(1+RXUU)/piUU^2; 
lmss_mat(11,9) = -((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))/lambdafUU*(1-lambdafUU)*((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU*lambdafUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)/piUU)/((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))-nbeta*((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))/lambdafUU*(1-lambdafUU)*((-1+xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU*lambdafUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)*iota2UU/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)*iota2UU/piUU)/((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))); 
lmss_mat(11,10) = (piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)*iota2UU/piUU*betaUU*xipUU*FpXUU-1/nbeta*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)/piUU*betaUU*xipUU*FpXUU; 
lmss_mat(11,11) = betaUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)*iota2UU/piUU*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)-betaUU*xipUU^2*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))*iota2UU/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))-FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))+1/nbeta*(-betaUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)/piUU*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)+betaUU*xipUU^2*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))))+nbeta*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))*iota2UU/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))); 
lmss_mat(11,12) = ((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))+nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*iotaw2UU/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(11,13) = betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))/piUU+1/nbeta*(betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/piUU^2-betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))/piUU^2); 
lmss_mat(11,14) = betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piUU*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU*wUU/psiLXUU-betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU-((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU+1/nbeta*(-betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piUU*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU*wUU/psiLXUU+betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU)+nbeta*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU; 
lmss_mat(11,15) = -((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_mat(11,16) = 0; 
lmss_mat(11,17) = 0; 
lmss_mat(11,18) = 0; 
lmss_mat(11,19) = -wUU*muzstarUU/wUU; 
lmss_mat(11,20) = 0; 
lmss_vec(12) = 0; 
lmss_mat(12,1) = 0; 
lmss_mat(12,2) = 0; 
lmss_mat(12,3) = 0; 
lmss_mat(12,4) = 0; 
lmss_mat(12,5) = 0; 
lmss_mat(12,6) = 0; 
lmss_mat(12,7) = 0; 
lmss_mat(12,8) = 0; 
lmss_mat(12,9) = 0; 
lmss_mat(12,10) = 0; 
lmss_mat(12,11) = 0; 
lmss_mat(12,12) = 0; 
lmss_mat(12,13) = 0; 
lmss_mat(12,14) = 0; 
lmss_mat(12,15) = 0; 
lmss_mat(12,16) = 0; 
lmss_mat(12,17) = 0; 
lmss_mat(12,18) = 0; 
lmss_mat(12,19) = 1; 
lmss_mat(12,20) = 0; 
lmss_vec(13) = 0; 
lmss_mat(13,1) = 0; 
lmss_mat(13,2) = 0; 
lmss_mat(13,3) = 0; 
lmss_mat(13,4) = 0; 
lmss_mat(13,5) = -pstarUU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarUU*(epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(13,6) = 0; 
lmss_mat(13,7) = 0; 
lmss_mat(13,8) = 0; 
lmss_mat(13,9) = 1-nbeta*((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))/pstarUU/((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))); 
lmss_mat(13,10) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarUU*(epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(13,11) = lambdazUU*lambdafUU^2*pstarUU^(lambdafUU/(lambdafUU-1))/(lambdafUU-1)/pstarUU*(epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sUU; 
lmss_mat(13,12) = 0; 
lmss_mat(13,13) = 0; 
lmss_mat(13,14) = 0; 
lmss_mat(13,15) = 0; 
lmss_mat(13,16) = -lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarUU*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU); 
lmss_mat(13,17) = 0; 
lmss_mat(13,18) = 0; 
lmss_mat(13,19) = 0; 
lmss_mat(13,20) = 0; 
lmss_vec(14) = 0; 
lmss_mat(14,1) = 0; 
lmss_mat(14,2) = 0; 
lmss_mat(14,3) = -lambdazUU*betaUU/muzstarUU/qUU^2*(alphaUU*epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*sUU+qUU*(1-deltaUU))+1/nbeta*lambdazUU*betaUU/muzstarUU/qUU*(1-deltaUU); 
lmss_mat(14,4) = lambdazUU*(1-1/2*muzstarUU^2/etaUU*(iUU/iUU-1)^2-muzstarUU^2/etaUU*(iUU/iUU-1)*iUU/iUU)+1/nbeta*lambdazUU*betaUU*muzstarUU^2/etaUU*(iUU/iUU-1)*iUU^2/iUU^2; 
lmss_mat(14,5) = 0; 
lmss_mat(14,6) = 0; 
lmss_mat(14,7) = 0; 
lmss_mat(14,8) = 0; 
lmss_mat(14,9) = 0; 
lmss_mat(14,10) = 0; 
lmss_mat(14,11) = 0; 
lmss_mat(14,12) = 0; 
lmss_mat(14,13) = 0; 
lmss_mat(14,14) = 0; 
lmss_mat(14,15) = 0; 
lmss_mat(14,16) = 0; 
lmss_mat(14,17) = 0; 
lmss_mat(14,18) = 0; 
lmss_mat(14,19) = 0; 
lmss_mat(14,20) = 0; 
lmss_vec(15) = 0; 
lmss_mat(15,1) = 0; 
lmss_mat(15,2) = 0; 
lmss_mat(15,3) = 0; 
lmss_mat(15,4) = 0; 
lmss_mat(15,5) = 0; 
lmss_mat(15,6) = 0; 
lmss_mat(15,7) = 0; 
lmss_mat(15,8) = 1; 
lmss_mat(15,9) = 0; 
lmss_mat(15,10) = 0; 
lmss_mat(15,11) = 0; 
lmss_mat(15,12) = 0; 
lmss_mat(15,13) = 0; 
lmss_mat(15,14) = 0; 
lmss_mat(15,15) = 0; 
lmss_mat(15,16) = 0; 
lmss_mat(15,17) = 0; 
lmss_mat(15,18) = 0; 
lmss_mat(15,19) = 0; 
lmss_mat(15,20) = 0; 
lmss_vec(16) = 0; 
lmss_mat(16,1) = 0; 
lmss_mat(16,2) = 0; 
lmss_mat(16,3) = 0; 
lmss_mat(16,4) = 0; 
lmss_mat(16,5) = 0; 
lmss_mat(16,6) = 0; 
lmss_mat(16,7) = lambdazUU*betaUU/muzstarUU/piUU; 
lmss_mat(16,8) = -1/piUU; 
lmss_mat(16,9) = 0; 
lmss_mat(16,10) = 0; 
lmss_mat(16,11) = 0; 
lmss_mat(16,12) = 0; 
lmss_mat(16,13) = 0; 
lmss_mat(16,14) = 0; 
lmss_mat(16,15) = 0; 
lmss_mat(16,16) = 0; 
lmss_mat(16,17) = 0; 
lmss_mat(16,18) = 0; 
lmss_mat(16,19) = 0; 
lmss_mat(16,20) = 0; 
lmss_vec(17) = 0; 
lmss_mat(17,1) = 1; 
lmss_mat(17,2) = 0; 
lmss_mat(17,3) = 1/nbeta*lambdazUU*betaUU/muzstarUU/qUU*alphaUU*epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU); 
lmss_mat(17,4) = 0; 
lmss_mat(17,5) = 0; 
lmss_mat(17,6) = 0; 
lmss_mat(17,7) = 0; 
lmss_mat(17,8) = 0; 
lmss_mat(17,9) = 0; 
lmss_mat(17,10) = 0; 
lmss_mat(17,11) = lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*(epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(17,12) = 0; 
lmss_mat(17,13) = 0; 
lmss_mat(17,14) = 0; 
lmss_mat(17,15) = 0; 
lmss_mat(17,16) = 0; 
lmss_mat(17,17) = 1/sUU^2; 
lmss_mat(17,18) = 0; 
lmss_mat(17,19) = 0; 
lmss_mat(17,20) = 0; 
lmss_vec(18) = psiLXUU*(wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wplusUU*hUU^(1+sigmaLXUU); 
lmss_mat(18,1) = 0; 
lmss_mat(18,2) = 0; 
lmss_mat(18,3) = 0; 
lmss_mat(18,4) = 0; 
lmss_mat(18,5) = 0; 
lmss_mat(18,6) = 0; 
lmss_mat(18,7) = 0; 
lmss_mat(18,8) = 0; 
lmss_mat(18,9) = 0; 
lmss_mat(18,10) = 0; 
lmss_mat(18,11) = 0; 
lmss_mat(18,12) = 0; 
lmss_mat(18,13) = 0; 
lmss_mat(18,14) = 0; 
lmss_mat(18,15) = 1-nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))/wplusUU/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_mat(18,16) = -lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wplusUU; 
lmss_mat(18,17) = 0; 
lmss_mat(18,18) = -wUU*lambdazUU/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wplusUU; 
lmss_mat(18,19) = 0; 
lmss_mat(18,20) = 0; 
lmss_vec(19) = -psiLXUU*(wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wstarUU*hUU^(1+sigmaLXUU); 
lmss_mat(19,1) = -1/(1-alphaUU)/epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU*alphaUU*lambdawUU/(lambdawUU-1)/wstarUU*wUU; 
lmss_mat(19,2) = 0; 
lmss_mat(19,3) = 1/nbeta*lambdazUU*betaUU/muzstarUU/qUU*alphaUU*epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU*sUU; 
lmss_mat(19,4) = 0; 
lmss_mat(19,5) = -pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(19,6) = 0; 
lmss_mat(19,7) = 0; 
lmss_mat(19,8) = 0; 
lmss_mat(19,9) = 0; 
lmss_mat(19,10) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(19,11) = lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(kUU/muzstarUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU*sUU; 
lmss_mat(19,12) = -1+nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))/wstarUU/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(19,13) = hUU*lambdazUU*wstarUU^(lambdawUU/(lambdawUU-1))/(lambdawUU-1)/wstarUU; 
lmss_mat(19,14) = (hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(19,15) = 0; 
lmss_mat(19,16) = -lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)^2*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)+lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilUU*(kUU/muzstarUU)^alphaUU*(wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hUU^(-alphaUU)/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(19,17) = 0; 
lmss_mat(19,18) = wUU*lambdazUU/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(19,19) = 0; 
lmss_mat(19,20) = 0; 
lmss_vec(20) = 0; 
lmss_mat(20,1) = -1/(1-alphaUU)/epsilUU*(muzstarUU*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU; 
lmss_mat(20,2) = 0; 
lmss_mat(20,3) = 0; 
lmss_mat(20,4) = 0; 
lmss_mat(20,5) = 0; 
lmss_mat(20,6) = 0; 
lmss_mat(20,7) = 0; 
lmss_mat(20,8) = 0; 
lmss_mat(20,9) = 0; 
lmss_mat(20,10) = 0; 
lmss_mat(20,11) = 0; 
lmss_mat(20,12) = ((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))+nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(20,13) = -betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wUU/piUU+1/nbeta*betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wUU/piUU; 
lmss_mat(20,14) = betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU*wUU/psiLXUU-betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU-((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU/psiLXUU-((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU+1/nbeta*(-betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU+betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU/psiLXUU+betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU)+nbeta*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU; 
lmss_mat(20,15) = -((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_mat(20,16) = 0; 
lmss_mat(20,17) = 0; 
lmss_mat(20,18) = -lambdazUU/psiLXUU/((wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1)))/(hUU^sigmaLXUU); 
lmss_mat(20,19) = -muzstarUU*piUU/wUU+nbeta*wUU*muzstarUU*piUU/wUU^2; 
lmss_mat(20,20) = 0; 
lmss_vec(21) = 0; 
lmss_mat(21,1) = 0; 
lmss_mat(21,2) = 0; 
lmss_mat(21,3) = 0; 
lmss_mat(21,4) = 0; 
lmss_mat(21,5) = 0; 
lmss_mat(21,6) = 0; 
lmss_mat(21,7) = 0; 
lmss_mat(21,8) = 0; 
lmss_mat(21,9) = 0; 
lmss_mat(21,10) = 0; 
lmss_mat(21,11) = 0; 
lmss_mat(21,12) = 0; 
lmss_mat(21,13) = 0; 
lmss_mat(21,14) = 0; 
lmss_mat(21,15) = 0; 
lmss_mat(21,16) = 0; 
lmss_mat(21,17) = 0; 
lmss_mat(21,18) = 0; 
lmss_mat(21,19) = 0; 
lmss_mat(21,20) = 1; 

lmss_vals = -lmss_mat \ lmss_vec; 
errcheck = max(abs(lmss_mat*lmss_vals + lmss_vec)); 
if errcheck > 1e-08, 
  disp('Warning: steady states of lagrange multipliers cannot be accurately determined'); 
  disp(['         errcheck = ',num2str(errcheck,12)]); 
end; 

  lmult1U = lmss_vals(1); 
  lmult2U = lmss_vals(2); 
  lmult3U = lmss_vals(3); 
  lmult4U = lmss_vals(4); 
  lmult5U = lmss_vals(5); 
  lmult6U = lmss_vals(6); 
  lmult7U = lmss_vals(7); 
  lmult8U = lmss_vals(8); 
  lmult9U = lmss_vals(9); 
  lmult10U = lmss_vals(10); 
  lmult11U = lmss_vals(11); 
  lmult12U = lmss_vals(12); 
  lmult13U = lmss_vals(13); 
  lmult14U = lmss_vals(14); 
  lmult15U = lmss_vals(15); 
  lmult16U = lmss_vals(16); 
  lmult17U = lmss_vals(17); 
  lmult18U = lmss_vals(18); 
  lmult19U = lmss_vals(19); 
  lmult20U = lmss_vals(20); 
