
-sU+((1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU))*((rkU*(1+psikUU*RXU))^alphaUU)*((wU*(1+psilUU*RXU))^(1-alphaUU))/epsilU;

// Endogenous variables
// var piU, sU, rkU, iU, RkXU, qU, RXU, uzcU, cU, wU, hU, kbarU, pstarU, wstarU, 
     FpXU, FwXU, wplusU, Util, Welf, epsilU, nU, yzU, Ux, omegabarU;

var piU, sU, rkU, iU, RkXU, qU, RXU, uzcU, cU, wU, hU, kbarU, pstarU, wstarU, FpXU, FwXU, wplusU, nU, yzU, omegabarU, Ux, Util, Welf;

// Exogenous variables
var epsilU;

varexo SIGNAL PATRIOT;


//PARAMETERS
parameters rkUU, nUU, kUU, hUU, iUU, wUU, dUU, cUU, lambdazUU, yzUU, sigmaUU, omegabarUU, phiUU, mcUU, pitildUU, pstarUU, piwUU,
        pitildwUU, wstarUU, wplusUU, RkXUU, RXUU, FpXUU, KpXUU, FwXUU, KwXUU, uczUU, qUU, GammaXUU, Gam_muGXUU,
        lambdafUU, piUU, muzstarUU, betaUU, deltaUU, FomegabarXUU, muUU, alphaUU, gammaUU, sigmaLXUU,
        psiLXUU, lambdawUU, weUU, bigthetaUU, bUU, muupUU, taukUU, upsilUU, iota1UU, iota2UU,
        pibarUU, xipUU, iotaw1UU, iotaw2UU, xiwUU, epsilUU, gUU, zetaiUU, tauoUU, zetaUU, psikUU, psilUU, rhoUU, zetacUU, xUU,
        lambdafU, muupU, muzstarU, zetacU, tauoU, zetaU,pitargetU, pitargetUU, uU, UxU, U4U, gU, nbeta, 
        rhotilUU,aptilUU,aytilUU,rhoUU,taucUU,SdouprXUU,zetaiU,sigmaaUU,sigmaU,gammaU, iotamuUU, taulUU; 

// get parameters and steady states...        
[rkUU, nUU, kUU, hUU, iUU, wUU, dUU, cUU, lambdazUU, yzUU, sigmaUU, omegabarUU, phiUU, mcUU, pitildUU, pstarUU, piwUU, ...
        pitildwUU, wstarUU, wplusUU, RkXUU, RXUU, FpXUU, KpXUU, FwXUU, KwXUU, uczUU, qUU, GammaXUU, Gam_muGXUU, ...
        lambdafUU, piUU, muzstarUU, betaUU, deltaUU, FomegabarXUU, muUU, alphaUU, gammaUU, sigmaLXUU, ...
            psiLXUU, lambdawUU, weUU, bigthetaUU, bUU, muupUU, taukUU, upsilUU, iota1UU, iota2UU, ...
            pibarUU, xipUU, iotaw1UU, iotaw2UU, xiwUU, epsilUU,rhoUU,xUU,rhotilUU,aptilUU,aytilUU,SdouprXUU,sigmaaUU] = getsteadyexogm;
 zetaiUU=1;
 tauoUU=0;
 zetaUU=1;
 gUU=0;
 psikUU=0;
 psilUU=0;
 zetacUU=1;
 nbeta=betaUU;
 taucUU=0;
 iotamuUU=0;
 taulUU=0;
   
// shock variables not used are set to constants
sigmaU=sigmaUU;
gammaU=gammaUU;
lambdafU=lambdafUU;
muupU=muupUU;
muzstarU=muzstarUU;
zetacU=zetacUU;
zetaiU=zetaiUU;
tauoU=tauoUU;
zetaU=zetaUU;
pitargetUU=(1+xUU)/muzstarUU;
pitargetU=pitargetUU;
uU=1;
UxU=0;
U4U=0;
gU=gUU;

model;
// Welfare

// #1
Util = zetacU*(log(cU*muzstarU-bUU*cU(-1))-zetaU*psiLXUU/(1+sigmaLXUU)*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^(1+sigmaLXUU));

// #2
Welf = Util + nbeta*Welf(+1);

// Monetary Policy Rule #3
log(RXU) = (1-rhotilUU)*log(RXUU) + rhotilUU*log(RXU(-1)) 
   + (1/RXUU)*(1-rhotilUU)*aptilUU*piUU*(log(piU(+1)) - log(piUU)) 
   + (1-rhotilUU)*aytilUU*(1/(4*RXUU))*log(yzU/yzUU) ; 

// Other Equations

// eq2 marginal cost in terms of both factor costs #4
-sU+((1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU))*((rkU*(1+psikUU*RXU))^alphaUU)*((wU*(1+psilUU*RXU))^(1-alphaUU))/epsilU;

// eq3  marginal cost in terms of rental rate of capital #5
rkU*(1+psikUU*RXU)/( alphaUU*epsilU*( (upsilUU*muzstarU*( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )/(uU*kbarU(-1)))^(1-alphaUU) ) )-sU;

// eq4 investment fonc #6
( uzcU/(zetacU*(1+taucUU)) )*zetacU*qU*( -( ( sqrt(SdouprXUU/2) )*exp(( sqrt(SdouprXUU/2) )*(( zetaiU*iU*muzstarU*upsilUU/iU(-1) )-muzstarUU*upsilUU))-( sqrt(SdouprXUU/2) )*exp(-( sqrt(SdouprXUU/2) )*(( zetaiU*iU*muzstarU*upsilUU/iU(-1) )-muzstarUU*upsilUU)) )*( zetaiU*iU*muzstarU*upsilUU/iU(-1) )+1-( exp(( sqrt(SdouprXUU/2) )*(( zetaiU*iU*muzstarU*upsilUU/iU(-1) )-muzstarUU*upsilUU))+exp(-( sqrt(SdouprXUU/2) )*(( zetaiU*iU*muzstarU*upsilUU/iU(-1) )-muzstarUU*upsilUU))-2 ) )-(( uzcU/(zetacU*(1+taucUU)) )/muupU)*zetacU+betaUU*zetacU*( uzcU(+1)/(zetacU*(1+taucUU)) )*qU(+1)*( ( ( sqrt(SdouprXUU/2) )*exp(( sqrt(SdouprXUU/2) )*(( zetaiU*iU(+1)*muzstarU*upsilUU/iU )-muzstarUU*upsilUU))-( sqrt(SdouprXUU/2) )*exp(-( sqrt(SdouprXUU/2) )*(( zetaiU*iU(+1)*muzstarU*upsilUU/iU )-muzstarUU*upsilUU)) )*(( zetaiU*iU(+1)*muzstarU*upsilUU/iU )^2) )/(muzstarU*upsilUU);

// eq9 definition of rate of return on capital  #7
RkXU - ( ( (1-taukUU)*(uU*rkU-tauoU*( rkUU*(exp(sigmaaUU*(uU-1))-1)/sigmaaUU ))+(1-deltaUU)*qU)*piU/(upsilUU*qU(-1)) + taukUU*deltaUU - 1);

// eq14 marginal utility of consumption #8
 uzcU-(muzstarU*zetacU/(cU*muzstarU-bUU*cU(-1)))+bUU*betaUU*zetacU/(cU(+1)*muzstarU-bUU*cU);
 
//  eq17 definition of nominal rate of interest #9
 (betaUU*zetacU*( uzcU(+1)/(zetacU*(1+taucUU)) )/(piU(+1)*muzstarU))*(1+RXU) - zetacU*( uzcU/(zetacU*(1+taucUU)) );

// output #10
yzU - ((pstarU^(lambdafU/(lambdafU-1)))*(epsilU*((uU*kbarU(-1)/(muzstarU*upsilUU))^alphaUU ) 
             *(( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )^(1-alphaUU) ) - phiUU ) );

// eq20 (resource constraint) #11
yzU - gU - cU - iU/muupU 
   -( ( ( normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) )-sigmaU(-1))
   +omegabarU*(1-normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) ))) )
   -( (1-muUU)*normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) )-sigmaU(-1))
   +omegabarU*(1-normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) ))) ) )*(1+RkXU)*qU(-1)*kbarU(-1)/(muzstarU*piU) )
   -bigthetaUU*(1-gammaU)*(nU-weUU)/gammaU; 

// eq21 capital accumulation #12
kbarU-(1-deltaUU)*(kbarU(-1)/(muzstarU*upsilUU))-(1-( exp(( sqrt(SdouprXUU/2) )*(( zetaiU*iU*muzstarU*upsilUU/iU(-1) )-muzstarUU*upsilUU))+exp(-( sqrt(SdouprXUU/2) )*(( zetaiU*iU*muzstarU*upsilUU/iU(-1) )-muzstarUU*upsilUU))-2 ))*iU;

// sticky price equations....

// eq31 p-star equation #13
 pstarU - ((1-xipUU)*( ( ( (1 - xipUU*(( (pitargetU^iota1UU) * (piU(-1)^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU)^(1/(1-lambdafU)) ) / (1-xipUU) ) ) ^ lambdafU ) + xipUU*(((( (pitargetU^iota1UU) * (piU(-1)^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU)*pstarU(-1))^( lambdafU / (1-lambdafU) )) )^(1/( lambdafU / (1-lambdafU) ));
 
// eq32 w-star equation #14
  wstarU - ( ((1-xiwUU)*( ( (1 - xiwUU * ( ( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) ) ^ lambdawUU ) + xiwUU*( (( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) )*wstarU(-1))^( lambdawUU/(1-lambdawUU) ) ) )^(1/( lambdawUU/(1-lambdawUU) )) );
  
// eq33  Fp equation #15
  zetacU*( uzcU/(zetacU*(1+taucUU)) )*( (pstarU^(lambdafU/(lambdafU-1))) * ( epsilU * (( uU*kbarU(-1)/(muzstarU*upsilUU))^alphaUU ) * ( ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )^(1-alphaUU) ) - phiUU) ) + ( (( (pitargetU^iota1UU) * (piU^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU(+1)) ^ (1/(1-lambdafU)) ) * betaUU * xipUU * FpXU(+1) - FpXU;

// eq34  Kp equation #16
 zetacU*lambdafU*( uzcU/(zetacU*(1+taucUU)) )*( (pstarU^(lambdafU/(lambdafU-1))) * ( epsilU * (( uU*kbarU(-1)/(muzstarU*upsilUU))^alphaUU ) * ( ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )^(1-alphaUU) ) - phiUU) )*sU + betaUU * xipUU *  ( (( (pitargetU^iota1UU) * (piU^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU(+1)) ^ (lambdafU/(1-lambdafU)) ) * ( FpXU(+1)* (( ( (1 - xipUU*(( (pitargetU^iota1UU) * (piU^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU(+1))^(1/(1-lambdafU)) ) / (1-xipUU) ) )^(1-lambdafU)) ) - ( FpXU* (( ( (1 - xipUU*(( (pitargetU^iota1UU) * (piU(-1)^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU)^(1/(1-lambdafU)) ) / (1-xipUU) ) )^(1-lambdafU)) );

// eq35 Fw equation #17
 zetacU*((wstarU^(lambdawUU/(lambdawUU-1)))*hU*(1-taulUU)*( uzcU/(zetacU*(1+taucUU)) )/lambdawUU) + betaUU * xiwUU * (muzstarUU^((1-iotamuUU)/(1-lambdawUU))) * ( (( (pitargetU^iotaw1UU) * (piU^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )^(1/(1-lambdawUU))) / piU(+1) ) * ( (1/( piU(+1)*muzstarU*wU(+1)/wU )) ^ (lambdawUU/(1-lambdawUU)) ) * (muzstarU^(iotamuUU/(1-lambdawUU)-1)) * FwXU(+1) - FwXU;

// eq36 Kw equation #18
 zetacU*((wstarU^(lambdawUU/(lambdawUU-1))*hU)^(1+sigmaLXUU))*zetaUU 
 + betaUU * xiwUU * (( (( (piU^iotaw2UU) * (pibarUU^(1-iotaw2UU)) )/( piU(+1)*muzstarU*wU(+1)/wU )) 
 * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) )  ^ (lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))) 
 * ( ( ( (1 - xiwUU * ( ( (( (piU^iotaw2UU) * (pibarUU^(1-iotaw2UU)) )/( piU(+1)*muzstarU*wU(+1)/wU )) 
 * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) ) ^ (1-lambdawUU*(1+sigmaLXUU)) ) 
 * wU(+1) * FwXU(+1)/psiLXUU ) - ( ( ( (1 - xiwUU * ( ( (( (piU(-1)^iotaw2UU) 
 * (pibarUU^(1-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) 
 * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) )   ^ (1-lambdawUU*(1+sigmaLXUU)) ) * wU   * FwXU/psiLXUU );
 
// eq37 w-plus equation #19
 wplusU - ( ((1-xiwUU)*( ( (1 - xiwUU * ( ( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) )^(lambdawUU*(1+sigmaLXUU)) ) + xiwUU*( (( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) )*wplusU(-1))^( lambdawUU*(1+sigmaLXUU)/(1-lambdawUU) ) ) )^(1/( lambdawUU*(1+sigmaLXUU)/(1-lambdawUU) )) );
 
// entrepreneur 
// eq7 #20
(1-( normcdf(( (log(omegabarU(+1))+sigmaU^2/2)/sigmaU )-sigmaU)+omegabarU(+1)*(1-normcdf(( (log(omegabarU(+1))+sigmaU^2/2)/sigmaU ))) ))*( (1+RkXU(+1))/(1+RXU) )+( (1-( normcdf((log(omegabarU(+1))+sigmaU^2/2)/sigmaU) ))/(1-( normcdf((log(omegabarU(+1))+sigmaU^2/2)/sigmaU) )-muUU*omegabarU(+1)*( normpdf((log(omegabarU(+1))+sigmaU^2/2)/sigmaU)/omegabarU(+1)/sigmaU )) )*(( (1+RkXU(+1))/(1+RXU) )*( (1-muUU)*normcdf(( (log(omegabarU(+1))+sigmaU^2/2)/sigmaU )-sigmaU)+omegabarU(+1)*(1-normcdf(( (log(omegabarU(+1))+sigmaU^2/2)/sigmaU ))) )-1); 

// #21
(qU(-1)*kbarU(-1)*(1+RkXU)*( (1-muUU)*normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) )-sigmaU(-1))+omegabarU*(1-normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) ))) )/(nU(-1)*(1+RXU(-1))))-(qU(-1)*kbarU(-1)/nU(-1))+1; 

// eq8 #22
-nU+(gammaU/(piU*muzstarU))*(RkXU-RXU(-1)-( ( normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) )-sigmaU(-1))+omegabarU*(1-normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) ))) )-( (1-muUU)*normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) )-sigmaU(-1))+omegabarU*(1-normcdf(( (log(omegabarU)+sigmaU(-1)^2/2)/sigmaU(-1) ))) ) )*(1+RkXU))*kbarU(-1)*qU(-1)+weUU+gammaU*(1+RXU(-1))*nU(-1)/(piU*muzstarU); 

// #23
log(epsilU) = rhoUU*log(epsilU(-1))+ Ux(-12)+PATRIOT;

Ux=SIGNAL;

end;

initval;
yzU=yzUU;
qU=qUU; 
piU=piUU; 
RkXU=RkXUU; 
rkU=rkUU; 
RXU=RXUU;
pstarU=pstarUU;
wstarU=wstarUU;
wplusU=wplusUU;
kbarU=kUU;
hU=hUU;
cU=cUU;
iU=iUU;
FpXU=FpXUU;
FwXU=FwXUU;
uzcU=uczUU;
sU=mcUU;
wU=wUU;
Util=0;
Welf=0;
epsilU=epsilUU;
omegabarU = omegabarUU;
nU = nUU;
Ux=0;
end;


shocks;
var SIGNAL;
stderr 1;
var PATRIOT;
stderr 1;
end;

steady;

// options_.loglinear=1; (supposedly, this lets you compute log-linear approximations...but it does not
//    seem to work well, perhaps because some shocks have mean zero and it's doing a log-linear approximation
//    on them.
// stoch_simul(dr_algo=0,periods=1000,simul_seed=1,irf=20);
stoch_simul(order=1,irf=24) cU iU qU hU piU wstarU RXU epsilU;


cimp=cU_SIGNAL;
himp=hU_SIGNAL;
iimp=iU_SIGNAL;
qimp=qU_SIGNAL;
piimp=piU_SIGNAL;
Rimp=RXU_SIGNAL;
Epsimp=epsilU_SIGNAL;
  
for ii = 13:24 
    cimp(ii)=cimp(ii)-cU_PATRIOT(ii-12);
    himp(ii)=himp(ii)-hU_PATRIOT(ii-12);
    iimp(ii)=iimp(ii)-iU_PATRIOT(ii-12);
    qimp(ii)=qimp(ii)-qU_PATRIOT(ii-12);
    piimp(ii)=piimp(ii)-piU_PATRIOT(ii-12);
    Rimp(ii)=Rimp(ii)-RXU_PATRIOT(ii-12);
    Epsimp(ii)=Epsimp(ii)-epsilU_PATRIOT(ii-12);
end 

figure
subplot(331)
plot(piimp/piUU)
title('Inflation')
subplot(332)
plot(himp/hUU)
title('Hours worked')
subplot(333)
plot(Rimp/RXUU)
title('Interest Rate')
subplot(334)
plot(Epsimp)
title('Technology')
subplot(335)
plot(qimp)
title('Price of capital')
subplot(336)
plot(cimp/cUU)
title('consumption')
subplot(337)
plot(iimp/iUU)
title('investment');