clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgx_det_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'modelwithoutmoney';
endo_nbr=0;exo_nbr=0;exo_det_nbr=0;
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'modelwithoutmoney';
logname_ = 'modelwithoutmoney.log';
diary off;
warning off;
delete modelwithoutmoney.log;
warning on;
warning backtrace;
diary modelwithoutmoney.log;
options_ = [];


lgy_ = 'cU';
lgy_ = str2mat(lgy_,'FpXU');
lgy_ = str2mat(lgy_,'iU');
lgy_ = str2mat(lgy_,'KpXU');
lgy_ = str2mat(lgy_,'kU');
lgy_ = str2mat(lgy_,'lambdazU');
lgy_ = str2mat(lgy_,'lU');
lgy_ = str2mat(lgy_,'piU');
lgy_ = str2mat(lgy_,'PkXU');
lgy_ = str2mat(lgy_,'pstarU');
lgy_ = str2mat(lgy_,'rkU');
lgy_ = str2mat(lgy_,'RXU');
lgy_ = str2mat(lgy_,'SpXU');
lgy_ = str2mat(lgy_,'sU');
lgy_ = str2mat(lgy_,'SXU');
lgy_ = str2mat(lgy_,'zU');
endo_nbr = 16;

lgx_ = 'epsilon';
lgx_ = str2mat(lgx_,'mshock');
lgx_orig_ord_ = [1 2];
exo_nbr = 2;



global a alpha alphapi alphay b beta delta iota lambdaf pibar 
global psiL rho rhoi sigmaL sigmaq v xip 


global a alpha alphapi alphay b beta c_ss delta Fp_ss iota 
global k_ss l_ss lambdaf lambdaz_ss m_ss phi pibar psiL R_ss rho 
global rhoi rk_ss s_ss sigmaL sigmaq v w_ss xip y_ss 


[beta,b,alpha,delta,rho,lambdaf,xip,iota,pibar,rhoi,alphapi,alphay,sigmaL,sigmaq,a,psiL] = params;
v=.000000;

[rk_ss,k_ss,l_ss,c_ss,w_ss,phi,lambdaz_ss,y_ss,R_ss,s_ss,m_ss,Fp_ss] = ssteady(lambdaf,alpha,delta,sigmaL,sigmaq,b,pibar,v,beta,psiL,xip);

iy_ = [ 1 0 2 0 3 0 0 4 0 5 0 6 0 0 0 7];
temp = [ 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23];
iy_ = [ iy_ ; temp ];
temp = [ 24 25 26 27 0 28 0 29 30 0 31 0 32 0 0 0];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(16,1);
exe_ = zeros(2,1);


% INITVAL 
valf_ = 0;
endval_=0;
ys_(2)=Fp_ss;
ys_(4)=Fp_ss;
ys_(7)=l_ss;
ys_(14)=1/lambdaf;
ys_(10)=1;
ys_(5)=k_ss;
ys_(16)=1;
ys_(15)=0;
ys_(13)=0;
ys_(6)=lambdaz_ss;
ys_(9)=1;
ys_(3)=delta*k_ss;
ys_(1)=c_ss;
ys_(8)=pibar;
ys_(11)=rk_ss;
ys_(12)=R_ss;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


steady(0);


% (M)SHOCKS 
make_ex_;
shocks_file(0);
Sigma_e_ = zeros(2,2);
Sigma_e_(1,1) = (1.)^2;
Sigma_e_(2,2) = (.01)^2;


options_.order=1;
options_.irf=10;
var_list_ = 'cU';
var_list_ = str2mat(var_list_,'lU');
var_list_ = str2mat(var_list_,'zU');
var_list_ = str2mat(var_list_,'PkXU');
var_list_ = str2mat(var_list_,'iU');
var_list_ = str2mat(var_list_,'piU');
var_list_ = str2mat(var_list_,'RXU');
info=stoch_simul(var_list_);


figure
subplot(3,3,1)
plot(cU_epsilon/c_ss)
title('Consumption')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,2)
plot(iU_epsilon/(delta*k_ss))
title('investment')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,3)
plot(lU_epsilon/l_ss)
title('hours worked')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,4)
plot(PkXU_epsilon)
title('price of capital')
ylabel('percent deviation from steady state')
axis tight

subplot(3,3,6)
plot((RXU_epsilon+R_ss)*4)
title('nominal rate of interest (APR)')
ylabel('percent')
axis tight
subplot(3,3,7)
plot(zU_epsilon)
title('state of technology')
ylabel('percent deviation from ss')
axis tight
subplot(3,3,8)
plot(4*(piU_epsilon+pibar-1))
title('rate of inflation (APR)')
ylabel('percent, net')
axis tight
str=['Response to Technology Shocks, \alpha_{\pi} = ',num2str(alphapi),' velocity = ',num2str(y_ss/m_ss)];
hout=suptitle(str);save('modelwithoutmoney_results','oo_','dr_');
diary off
