figure
subplot(3,3,1)
plot(cU_epsilon/c_ss)
title('Consumption')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,2)
plot(iU_epsilon/(delta*k_ss))
title('investment')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,3)
plot(lU_epsilon/l_ss)
title('hours worked')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,4)
plot(PkXU_epsilon)
title('price of capital')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,5)
plot(mU_epsilon/m_ss)
title('real balances, M(t+1)/P(t)')
ylabel('percent deviation from ss')
axis tight
subplot(3,3,6)
plot((RXU_epsilon+R_ss)*4)
title('nominal rate of interest (APR)')
ylabel('percent')
axis tight
subplot(3,3,7)
plot(zU_epsilon)
title('state of technology')
ylabel('percent deviation from ss')
axis tight
subplot(3,3,8)
plot(4*(piU_epsilon+pibar-1))
title('rate of inflation (APR)')
ylabel('percent, net')
axis tight
str=['Response to Technology Shocks, \alpha_{\pi} = ',num2str(alphapi),' velocity = ',num2str(y_ss/m_ss)];
hout=suptitle(str);