load c:\projects\ECB\August2005\Ramsey\models\stickypricesonly\rbc cUrbc_epx hUrbc_epx kUrbc_epx epsilUrbc_epx
tt=1:length(cU_epx);
tt=1:20;

subplot(331)
plot(tt,cUrbc_epx(tt)/cUU,'k*-',tt,cU_epx(tt)/cUU)
legend('rbc model','sticky price model')
title('consumption')
ylabel('percent deviation from ss')
axis tight

subplot(332)
plot(tt,hUrbc_epx(tt)/hUU,'k*-',tt,hU_epx(tt)/hUU)
title('hours worked')
ylabel('percent deviation from ss')
axis tight

subplot(333)
plot(tt,400*(piUU+piU_epx(tt)/100-1),tt,400*(piUU-1)*ones(size(tt)))
legend('actual','steady state')
title('net inflation (APR)')
axis tight

subplot(334)
plot(tt,kUrbc_epx(tt)/kUU,'k*-',tt,kU_epx(tt)/kUU)
title('capital stock')
ylabel('percent deviation from ss')
axis tight

subplot(335)
plot(tt,epsilU_epx(tt))
title('technology shock')
ylabel('percent deviation from ss')
axis tight

subplot(336)
plot(tt,sU_epx(tt)/sUU)
title('real marginal cost (% dev from ss)')
axis tight

subplot(337)
plot(tt,400*(RXUU+RXU_epx(tt)/100),tt,400*RXUU*ones(size(tt)))
ylabel('Annualized, percent')
title('net nominal rate of interest')
legend('actual','steady state')
axis tight