clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgx_det_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'rbcmodel';
endo_nbr=0;exo_nbr=0;exo_det_nbr=0;
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'rbcmodel';
logname_ = 'rbcmodel.log';
diary off;
warning off;
delete rbcmodel.log;
warning on;
warning backtrace;
diary rbcmodel.log;
options_ = [];




lgy_ = 'cU';
lgy_ = str2mat(lgy_,'epsilU');
lgy_ = str2mat(lgy_,'hU');
lgy_ = str2mat(lgy_,'iU');
lgy_ = str2mat(lgy_,'kU');
lgy_ = str2mat(lgy_,'lambdazU');
lgy_ = str2mat(lgy_,'qU');
endo_nbr = 7;

lgx_ = 'epx';
lgx_ = str2mat(lgx_,'xp');
lgx_orig_ord_ = [2 1];
exo_nbr = 2;




global alphaUU alphaUUU aptilUU aytilUU bet betaUU betaUUU bUU bUUU cUU 
global deltaUU deltaUUU epsilUU etagUU FpXUU hUU iota1UU iota2UU iUU kUU 
global lambdafUU lambdazUU nbeta phiUU pibarUU pitargetUU piUU psiLXUU  ...
psiLXUUU pstarUU 
global qUU rhotilUU rhoUU rhoUUU RXUU SdouprUUU SdouprXUU sigmaLXUU  ...
sigmaLXUUU UtilUU 
global WelfUU xipUU xUU zetaUU 





lambdawUU     =   1;
sigmaLXUU      =   1;
zetaUU        =   1.000;
betaUU        =   0.99;
nbeta         =   betaUU;
xiwUU         =   0;
bUU           =   0.63;
psiLXUU        =   109.8157082828666;
zetacUU       =   1;
iotaw1UU      =   0.0;
iotaw2UU      =   0.13;
iotamuUU      =   0;
tauoUU        =   1;

sigmaaUU      =   12.3;
SdouprXUU      =   5.1;
etaiUU        =   2;
muupUU        =   1;
zetaiUU       =   1;

muzstarUU     =   1;
upsilUU       =   1;
lambdafUU     =   1.;
alphaUU       =   0.3987246;
psikUU        =   0;
psilUU        =   0;
deltaUU       =   0.025;
epsilUU       =   1;
xipUU         =   0.75;
iota1UU       =   0.0;
iota2UU       =   0.6;

etagUU        =   0;
taukUU        =   0;
taulUU        =   0;
taucUU        =   0;

xUU           =   0.009152;


pibarUU       =   (1+xUU)/muzstarUU;
aptilUU       =  1.95 ;
aytilUU       =  0.18 ;
rhotilUU      =  0.81 ;
rhoUU         =  0.8;

[hUU,kUU,cUU] = sstaterbcadjhabit(betaUU,deltaUU,alphaUU,psiLXUU,sigmaLXUU,bUU);
epsilUU=1;
qUU=1;

iy_ = [ 1 2 0 3 4 0 0];
temp = [ 5 6 7 8 9 10 11];
iy_ = [ iy_ ; temp ];
temp = [ 12 13 14 15 0 16 17];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(7,1);
exe_ = zeros(2,1);



% INITVAL 
valf_ = 0;
endval_=0;
ys_(5)=kUU;
ys_(3)=hUU;
ys_(1)=cUU;
ys_(6)=(1-bUU*betaUU)/(1-bUU);
ys_(2)=epsilUU;
ys_(7)=1;
ys_(4)=deltaUU*kUU;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


% (M)SHOCKS 
make_ex_;
shocks_file(0);
Sigma_e_ = zeros(2,2);
Sigma_e_(2,2) = (1)^2;
Sigma_e_(1,1) = (1)^2;


steady(0);



options_.order=1;
options_.irf=100;
var_list_ = 'cU';
var_list_ = str2mat(var_list_,'hU');
var_list_ = str2mat(var_list_,'kU');
var_list_ = str2mat(var_list_,'epsilU');
var_list_ = str2mat(var_list_,'qU');
info=stoch_simul(var_list_);

cUrbc_epx=cU_epx;
hUrbc_epx=hU_epx;
kUrbc_epx=kU_epx;
qUrbc_epx=qU_epx;
epsilUrbc_epx=epsilU_epx;
bUUU=bUU;
SdouprXUUU=SdouprXUU;
betaUUU=betaUU;
deltaUUU=deltaUU;
alphaUUU=alphaUU;
psiLXUUU=psiLXUU;
sigmaLXUUU=sigmaLXUU;
rhoUUU=rhoUU;

save rbc cUrbc_epx hUrbc_epx kUrbc_epx epsilUrbc_epx qUrbc_epx bUUU SdouprXUUU betaUUU deltaUUU alphaUUU psiLXUUU sigmaLXUUU rhoUUU

%dr_algo=0, perturbation approach a la Schmitt-Grohe-Uribe
%order = 2, second order approximation, default
%irf, # of periods for impulse responses
%variables next to parentheses means these are the variables you wantsave('rbcmodel_results','oo_','dr_');
diary off
