load c:\projects\ECB\August2005\Ramsey\models\monetarypolicy\stickyprice_exogm ccimp hhimp iiimp qqimp ppiimp RRimp ...
   wwimp yyimp ssimp EEpsimp ppiwimp rrrimp bUUU SdouprXUUU ...
   betaUUU deltaUUU alphaUUU psiLXUUU sigmaLXUUU rhoUUU muzstarUUU ...
   lambdafUUU lambdawUUU xipUUU xiwUUU iotaw2UUU iota2UUU iota1UUU rhoUUU ...
   rhotilUUU aptilUUU aytilUUU ppiUU RRXUU ppstarUU kkUU hhUU ccUU FFpXUU ...
   pphiUU ssUU FFwXUU wwstarUU wwplusUU wwUU qqUU llambdazUU iiUU;

if bUUU~=bUU | SdouprXUUU~=SdouprXUU | betaUUU~=betaUU | deltaUUU~=deltaUU | alphaUUU~=alphaUU | psiLXUUU~=psiLXUU ...
        | sigmaLXUUU~=sigmaLXUU | rhoUUU~=rhoUU | muzstarUUU~=muzstarUU ...
        | lambdafUUU~=lambdafUU | lambdawUU~=lambdawUUU | xipUUU~=xipUU | xiwUU~=xiwUUU | iotaw2UUU~=iotaw2UU 
    
    error('fatal (plotmoney) RBC parameters different from main model paramters')
    
end
     
% figure
tt=1:length(cimp);
tt=1:24;

figure
subplot(3,3,1)
plot(tt,yyimp(tt)/(ccUU+iiUU),'k*-',tt,yimp(tt)/(cUU+iUU))
title('output')
ylabel('percent deviation from ss')
axis tight

subplot(3,3,3)
plot(tt,ccimp(tt)/ccUU,'k*-',tt,cimp(tt)/cUU)
legend('Equilibrium without Financial Frictions','Equilibrium with Financial Frictions')
title('consumption')
ylabel('percent deviation from ss')
axis tight

subplot(3,3,5)
plot(tt,400*(rrrimp(tt)/100+(1+RRXUU)/ppiUU-1),'k*-',tt,400*(rrimp(tt)/100+(1+RXUU)/piUU-1))
title('net real rate of interest')
ylabel('annualized, percent')
axis tight

subplot(3,3,4)
plot(tt,hhimp(tt)/hhUU,'k*-',tt,himp(tt)/hUU)
title('hours worked')
ylabel('percent deviation from ss')
axis tight

subplot(3,3,7)
plot(tt,400*(ppiUU+ppiimp(tt)/100-1),'k*-',tt,400*(piUU+piimp(tt)/100-1),tt,400*(piUU-1)*ones(size(tt)))
title('net inflation (APR)')
axis tight

subplot(3,3,2)
plot(tt,iiimp(tt)/(deltaUU*kkUU),'k*-',tt,iimp(tt)/(deltaUU*kUU))
title('investment')
ylabel('percent deviation from ss')
axis tight


subplot(3,3,8)
plot(tt,400*(RRXUU+RRimp(tt)/100),'k*-',tt,400*(RXUU+Rimp(tt)/100),tt,400*RXUU*ones(size(tt)))
ylabel('Annualized, percent')
title('net nominal rate of interest')
axis tight

subplot(3,3,6)
plot(tt,qqimp(tt),'k*-',tt,qimp(tt))
ylabel('percent deviation from ss')
title('price of capital')
axis tight

subplot(3,3,9)
plot(tt,wwimp(tt)/wwUU,'k*-',tt,wimp(tt)/wUU)
ylabel('percent deviation from ss')
title('real wage')
axis tight
str='Figure 9: Monetary Model with and Without Financial Frictions';
hout=suptitle(str);
return
%&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

figure
ia=3;%if iz==4, graph output gap
subplot(ia,3,1)
plot(tt,cram(tt)/cUU,'k*-',tt,cimp(tt)/cUU)
legend('Ramsey model','sticky price model')
title('consumption')
ylabel('percent deviation from ss')
axis tight

subplot(ia,3,2)
plot(tt,hram(tt)/hUU,'k*-',tt,himp(tt)/hUU)
title('hours worked')
ylabel('percent deviation from ss')
axis tight

subplot(ia,3,3)
plot(tt,400*(piUU+piram(tt)/100-1),'k*-',tt,400*(piUU+piimp(tt)/100-1),tt,400*(piUU-1)*ones(size(tt)))
title('net inflation (APR)')
axis tight

subplot(ia,3,4)
plot(tt,iram(tt)/(deltaUU*kUU),'k*-',tt,iimp(tt)/(deltaUU*kUU))
title('investment')
ylabel('percent deviation from ss')
axis tight

subplot(ia,3,5)
ss=0;
if ss == 1
    plot(tt,Epsram(tt),'k*-',tt,Epsimp(tt))
    title('technology shock')
    ylabel('percent deviation from ss')
else
    plot(tt,400*(muzstarUU*piUU+piwram(tt)/100-1),'k*-',tt,400*(muzstarUU*piUU+piwimp(tt)/100-1),tt,400*(muzstarUU*piUU-1)*ones(size(tt)))
    title('net nominal wage growth (APR)')
end
axis tight

subplot(ia,3,6)
plot(tt,sram(tt)/sUU,'k*-',tt,simp(tt)/sUU)
title('real marginal cost (% dev from ss)')
axis tight

subplot(ia,3,7)
plot(tt,400*(RXUU+Rram(tt)/100),'k*-',tt,400*(RXUU+Rimp(tt)/100),tt,400*RXUU*ones(size(tt)))
ylabel('Annualized, percent')
title('net nominal rate of interest')
axis tight

subplot(ia,3,8)
plot(tt,qram(tt),'k*-',tt,qimp(tt))
ylabel('percent deviation from ss')
title('price of capital')
axis tight

subplot(ia,3,9)
plot(tt,wram(tt)/wUU,'k*-',tt,wimp(tt)/wUU)
ylabel('percent deviation from ss')
title('real wage')
axis tight

if ia == 4
    subplot(4,3,10)
    plot(tt,gapimp(tt))
    ylabel('percent deviation from ss')
    title('output gap')
    axis tight
end