% Coefficients defining linear system for obtaining steady states of LM variables 

% global cUU epsilUU FpXUU FwXUU gapUU hUU iUU kUU lambdazUU ... 
%        piUU pstarUU qUU RXUU sUU UxU wplusUU wstarUU ... 
%        wUU; 
%   
% global lmult1U lmult2U lmult3U lmult4U lmult5U lmult6U ... 
%        lmult7U lmult8U lmult9U lmult10U lmult11U lmult12U ... 
%        lmult13U lmult14U lmult15U; 
  
lmss_mat = zeros(16,15); 
lmss_vec = zeros(16,1); 
lmss_vec(1) = 1/(cUU-bUU*cUU)-nbeta*bUU/(cUU-bUU*cUU); 
lmss_mat(1,1) = 0; 
lmss_mat(1,2) = 0; 
lmss_mat(1,3) = 1; 
lmss_mat(1,4) = 0; 
lmss_mat(1,5) = 0; 
lmss_mat(1,6) = 0; 
lmss_mat(1,7) = 0; 
lmss_mat(1,8) = 0; 
lmss_mat(1,9) = 0; 
lmss_mat(1,10) = 0; 
lmss_mat(1,11) = 0; 
lmss_mat(1,12) = 0; 
lmss_mat(1,13) = 0; 
lmss_mat(1,14) = 0; 
lmss_mat(1,15) = 1/50*2534^(1/2)/(4518834387485017/4503599627370496*cUU-bUU*cUU)^2+bUU^2*betaUU/(4518834387485017/4503599627370496*cUU-bUU*cUU)^2-4518834387485017/4503599627370496/nbeta*bUU*betaUU/(4518834387485017/4503599627370496*cUU-bUU*cUU)^2-4518834387485017/4503599627370496*nbeta/(4518834387485017/4503599627370496*cUU-bUU*cUU)^2*bUU; 
lmss_vec(2) = 0; 
lmss_mat(2,1) = 0; 
lmss_mat(2,2) = 0; 
lmss_mat(2,3) = 0; 
lmss_mat(2,4) = 0; 
lmss_mat(2,5) = 0; 
lmss_mat(2,6) = 0; 
lmss_mat(2,7) = -1+1/nbeta*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))*betaUU*xipUU; 
lmss_mat(2,8) = -((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)+1/nbeta*betaUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU); 
lmss_mat(2,9) = 0; 
lmss_mat(2,10) = 0; 
lmss_mat(2,11) = 0; 
lmss_mat(2,12) = 0; 
lmss_mat(2,13) = 0; 
lmss_mat(2,14) = 0; 
lmss_mat(2,15) = 0; 
lmss_vec(3) = 0; 
lmss_mat(3,1) = 0; 
lmss_mat(3,2) = 0; 
lmss_mat(3,3) = 0; 
lmss_mat(3,4) = 0; 
lmss_mat(3,5) = 0; 
lmss_mat(3,6) = 0; 
lmss_mat(3,7) = 0; 
lmss_mat(3,8) = 0; 
lmss_mat(3,9) = 0; 
lmss_mat(3,10) = -1+1/nbeta*betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))/piUU; 
lmss_mat(3,11) = -((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-(1+sigmaLXUU)*lambdawUU)*wUU/psiLXUU+1/nbeta*betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^((1+sigmaLXUU)*lambdawUU/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-(1+sigmaLXUU)*lambdawUU)*wUU/psiLXUU; 
lmss_mat(3,12) = 0; 
lmss_mat(3,13) = 0; 
lmss_mat(3,14) = 0; 
lmss_mat(3,15) = 0; 
lmss_vec(4) = 0; 
lmss_mat(4,1) = 0; 
lmss_mat(4,2) = 0; 
lmss_mat(4,3) = 0; 
lmss_mat(4,4) = 0; 
lmss_mat(4,5) = 0; 
lmss_mat(4,6) = 0; 
lmss_mat(4,7) = 0; 
lmss_mat(4,8) = 0; 
lmss_mat(4,9) = 0; 
lmss_mat(4,10) = 0; 
lmss_mat(4,11) = 0; 
lmss_mat(4,12) = 0; 
lmss_mat(4,13) = 0; 
lmss_mat(4,14) = 1; 
lmss_mat(4,15) = 0; 
lmss_vec(5) = -psiLXUU*(wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hUU^(1+sigmaLXUU)/hUU; 
lmss_mat(5,1) = -1/(1-alphaUU)/epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU*alphaUU/hUU*wUU; 
lmss_mat(5,2) = 2244208114798821/2251799813685248/nbeta*lambdazUU*betaUU/qUU*alphaUU*epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*(1-alphaUU)/hUU*sUU; 
lmss_mat(5,3) = -pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU; 
lmss_mat(5,4) = 0; 
lmss_mat(5,5) = 0; 
lmss_mat(5,6) = 0; 
lmss_mat(5,7) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU; 
lmss_mat(5,8) = lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hUU*sUU; 
lmss_mat(5,9) = 0; 
lmss_mat(5,10) = lambdazUU*wstarUU^(lambdawUU/(lambdawUU-1))/lambdawUU; 
lmss_mat(5,11) = (hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)/hUU; 
lmss_mat(5,12) = 0; 
lmss_mat(5,13) = 0; 
lmss_mat(5,14) = 0; 
lmss_mat(5,15) = 0; 
lmss_vec(6) = 0; 
lmss_mat(6,1) = 0; 
lmss_mat(6,2) = 0; 
lmss_mat(6,3) = 1; 
lmss_mat(6,4) = -1+1/100*2534^(1/2)/etaUU*(iUU/iUU-1)^2+1/50*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU/iUU-1/50*nbeta*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU^2/iUU^2; 
lmss_mat(6,5) = 0; 
lmss_mat(6,6) = 0; 
lmss_mat(6,7) = 0; 
lmss_mat(6,8) = 0; 
lmss_mat(6,9) = 0; 
lmss_mat(6,10) = 0; 
lmss_mat(6,11) = 0; 
lmss_mat(6,12) = 0; 
lmss_mat(6,13) = lambdazUU*qUU*(-1/25*2534^(1/2)/etaUU*(iUU/iUU-1)/iUU-1/50*2534^(1/2)/etaUU/iUU^2*iUU)-1/50*betaUU*lambdazUU*qUU*2534^(1/2)/etaUU*iUU^3/iUU^4-1/25*betaUU*lambdazUU*qUU*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU^2/iUU^3+1/nbeta*(1/50*lambdazUU*betaUU*qUU*2534^(1/2)/etaUU/iUU^3*iUU^2+1/25*lambdazUU*betaUU*qUU*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU/iUU^2)+nbeta*lambdazUU*qUU*(1/25*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU/iUU^2+1/50*2534^(1/2)/etaUU*iUU^2/iUU^3); 
lmss_mat(6,14) = 0; 
lmss_mat(6,15) = 0; 
lmss_vec(7) = 0; 
lmss_mat(7,1) = nbeta/(1-alphaUU)/epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU*alphaUU/kUU*wUU; 
lmss_mat(7,2) = -2244208114798821/2251799813685248*lambdazUU*betaUU/qUU*alphaUU*epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*(1-alphaUU)/kUU*sUU; 
lmss_mat(7,3) = -nbeta*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*alphaUU/kUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU); 
lmss_mat(7,4) = 1+nbeta*(-2244208114798821/2251799813685248+2244208114798821/2251799813685248*deltaUU); 
lmss_mat(7,5) = 0; 
lmss_mat(7,6) = 0; 
lmss_mat(7,7) = nbeta*lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*alphaUU/kUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU); 
lmss_mat(7,8) = nbeta*lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*alphaUU/kUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*sUU; 
lmss_mat(7,9) = 0; 
lmss_mat(7,10) = 0; 
lmss_mat(7,11) = 0; 
lmss_mat(7,12) = 0; 
lmss_mat(7,13) = 0; 
lmss_mat(7,14) = 0; 
lmss_mat(7,15) = 0; 
lmss_vec(8) = 0; 
lmss_mat(8,1) = 0; 
lmss_mat(8,2) = -1+2244208114798821/2251799813685248/nbeta*betaUU/qUU*(alphaUU*epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*sUU+qUU*(1-deltaUU)); 
lmss_mat(8,3) = 0; 
lmss_mat(8,4) = 0; 
lmss_mat(8,5) = 0; 
lmss_mat(8,6) = 0; 
lmss_mat(8,7) = pstarUU^(lambdafUU/(lambdafUU-1))*(epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(8,8) = lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*(epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sUU; 
lmss_mat(8,9) = -1+2244208114798821/2251799813685248/nbeta*betaUU*(1+RXUU)/piUU; 
lmss_mat(8,10) = hUU*wstarUU^(lambdawUU/(lambdawUU-1))/lambdawUU; 
lmss_mat(8,11) = 0; 
lmss_mat(8,12) = 0; 
lmss_mat(8,13) = qUU*(1-1/100*2534^(1/2)/etaUU*(iUU/iUU-1)^2-1/50*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU/iUU)-1+1/50/nbeta*betaUU*qUU*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU^2/iUU^2; 
lmss_mat(8,14) = 0; 
lmss_mat(8,15) = 1; 
lmss_vec(9) = 0; 
lmss_mat(9,1) = 0; 
lmss_mat(9,2) = 0; 
lmss_mat(9,3) = 0; 
lmss_mat(9,4) = 0; 
lmss_mat(9,5) = ((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))+nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*iotaw2UU/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(9,6) = -((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))/lambdafUU*(1-lambdafUU)*((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU*lambdafUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)/piUU)/((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))-nbeta*((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))/lambdafUU*(1-lambdafUU)*((-1+xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU*lambdafUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)*iota2UU/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)*iota2UU/piUU)/((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))); 
lmss_mat(9,7) = (piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)*iota2UU/piUU*betaUU*xipUU*FpXUU-1/nbeta*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/(1-lambdafUU)/piUU*betaUU*xipUU*FpXUU; 
lmss_mat(9,8) = betaUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)*iota2UU/piUU*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)-betaUU*xipUU^2*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))*iota2UU/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))-FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))+1/nbeta*(-betaUU*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*lambdafUU/(1-lambdafUU)/piUU*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)+betaUU*xipUU^2*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(lambdafUU/(1-lambdafUU))*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))))+nbeta*FpXUU*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^(1-lambdafUU)*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))*iota2UU/piUU/(1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU))); 
lmss_mat(9,9) = -2244208114798821/2251799813685248/nbeta*lambdazUU*betaUU*(1+RXUU)/piUU^2; 
lmss_mat(9,10) = betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))/piUU+1/nbeta*(betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/piUU^2-betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))/piUU^2); 
lmss_mat(9,11) = betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piUU*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU*wUU/psiLXUU-betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU-((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU+1/nbeta*(-betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piUU*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU*wUU/psiLXUU+betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU)+nbeta*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU; 
lmss_mat(9,12) = -((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_mat(9,13) = 0; 
lmss_mat(9,14) = 0; 
lmss_mat(9,15) = 0; 
lmss_vec(10) = 0; 
lmss_mat(10,1) = 0; 
lmss_mat(10,2) = 0; 
lmss_mat(10,3) = -pstarUU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarUU*(epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(10,4) = 0; 
lmss_mat(10,5) = 0; 
lmss_mat(10,6) = 1-nbeta*((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU)))^(1/lambdafUU*(1-lambdafUU))*xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))/pstarUU/((1-xipUU)*((1-xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU)^(1/(1-lambdafUU)))/(1-xipUU))^lambdafUU+xipUU*(piUU^iota2UU*pibarUU^(1-iota2UU)/piUU*pstarUU)^(lambdafUU/(1-lambdafUU))); 
lmss_mat(10,7) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarUU*(epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(10,8) = lambdazUU*lambdafUU^2*pstarUU^(lambdafUU/(lambdafUU-1))/(lambdafUU-1)/pstarUU*(epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sUU; 
lmss_mat(10,9) = 0; 
lmss_mat(10,10) = 0; 
lmss_mat(10,11) = 0; 
lmss_mat(10,12) = 0; 
lmss_mat(10,13) = 0; 
lmss_mat(10,14) = -pstarUU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarUU*wstarUU^(lambdawUU*(1-alphaUU)/(lambdawUU-1)); 
lmss_mat(10,15) = 0; 
lmss_vec(11) = 0; 
lmss_mat(11,1) = 0; 
lmss_mat(11,2) = -2244208114798821/2251799813685248*lambdazUU*betaUU/qUU^2*(alphaUU*epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*sUU+qUU*(1-deltaUU))+2244208114798821/2251799813685248/nbeta*lambdazUU*betaUU/qUU*(1-deltaUU); 
lmss_mat(11,3) = 0; 
lmss_mat(11,4) = 0; 
lmss_mat(11,5) = 0; 
lmss_mat(11,6) = 0; 
lmss_mat(11,7) = 0; 
lmss_mat(11,8) = 0; 
lmss_mat(11,9) = 0; 
lmss_mat(11,10) = 0; 
lmss_mat(11,11) = 0; 
lmss_mat(11,12) = 0; 
lmss_mat(11,13) = lambdazUU*(1-1/100*2534^(1/2)/etaUU*(iUU/iUU-1)^2-1/50*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU/iUU)+1/50/nbeta*lambdazUU*betaUU*2534^(1/2)/etaUU*(iUU/iUU-1)*iUU^2/iUU^2; 
lmss_mat(11,14) = 0; 
lmss_mat(11,15) = 0; 
lmss_vec(12) = 0; 
lmss_mat(12,1) = 0; 
lmss_mat(12,2) = 0; 
lmss_mat(12,3) = 0; 
lmss_mat(12,4) = 0; 
lmss_mat(12,5) = 0; 
lmss_mat(12,6) = 0; 
lmss_mat(12,7) = 0; 
lmss_mat(12,8) = 0; 
lmss_mat(12,9) = 2244208114798821/2251799813685248*lambdazUU*betaUU/piUU; 
lmss_mat(12,10) = 0; 
lmss_mat(12,11) = 0; 
lmss_mat(12,12) = 0; 
lmss_mat(12,13) = 0; 
lmss_mat(12,14) = 0; 
lmss_mat(12,15) = 0; 
lmss_vec(13) = 0; 
lmss_mat(13,1) = 1; 
lmss_mat(13,2) = 2244208114798821/2251799813685248/nbeta*lambdazUU*betaUU/qUU*alphaUU*epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU); 
lmss_mat(13,3) = 0; 
lmss_mat(13,4) = 0; 
lmss_mat(13,5) = 0; 
lmss_mat(13,6) = 0; 
lmss_mat(13,7) = 0; 
lmss_mat(13,8) = lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*(epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU); 
lmss_mat(13,9) = 0; 
lmss_mat(13,10) = 0; 
lmss_mat(13,11) = 0; 
lmss_mat(13,12) = 0; 
lmss_mat(13,13) = 0; 
lmss_mat(13,14) = 0; 
lmss_mat(13,15) = 0; 
lmss_vec(14) = psiLXUU*(wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wplusUU*hUU^(1+sigmaLXUU); 
lmss_mat(14,1) = 0; 
lmss_mat(14,2) = 0; 
lmss_mat(14,3) = 0; 
lmss_mat(14,4) = 0; 
lmss_mat(14,5) = 0; 
lmss_mat(14,6) = 0; 
lmss_mat(14,7) = 0; 
lmss_mat(14,8) = 0; 
lmss_mat(14,9) = 0; 
lmss_mat(14,10) = 0; 
lmss_mat(14,11) = 0; 
lmss_mat(14,12) = 1-nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))/wplusUU/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_mat(14,13) = 0; 
lmss_mat(14,14) = 0; 
lmss_mat(14,15) = 0; 
lmss_vec(15) = -psiLXUU*(wstarUU/wplusUU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wstarUU*hUU^(1+sigmaLXUU); 
lmss_mat(15,1) = -1/(1-alphaUU)/epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU*alphaUU*lambdawUU/(lambdawUU-1)/wstarUU*wUU; 
lmss_mat(15,2) = 2244208114798821/2251799813685248/nbeta*lambdazUU*betaUU/qUU*alphaUU*epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU*sUU; 
lmss_mat(15,3) = -pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(15,4) = 0; 
lmss_mat(15,5) = -1+nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))/wstarUU/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(15,6) = 0; 
lmss_mat(15,7) = lambdazUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(15,8) = lambdazUU*lambdafUU*pstarUU^(lambdafUU/(lambdafUU-1))*epsilUU*(2244208114798821/2251799813685248*kUU)^alphaUU*(hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU*sUU; 
lmss_mat(15,9) = 0; 
lmss_mat(15,10) = hUU*lambdazUU*wstarUU^(lambdawUU/(lambdawUU-1))/(lambdawUU-1)/wstarUU; 
lmss_mat(15,11) = (hUU*wstarUU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(15,12) = 0; 
lmss_mat(15,13) = 0; 
lmss_mat(15,14) = -pstarUU^(lambdafUU/(lambdafUU-1))*wstarUU^(lambdawUU*(1-alphaUU)/(lambdawUU-1))*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarUU; 
lmss_mat(15,15) = 0; 
lmss_vec(16) = 0; 
lmss_mat(16,1) = -1/(1-alphaUU)/epsilUU*(4518834387485017/4503599627370496*hUU*wstarUU^(lambdawUU/(lambdawUU-1))/kUU)^alphaUU; 
lmss_mat(16,2) = 0; 
lmss_mat(16,3) = 0; 
lmss_mat(16,4) = 0; 
lmss_mat(16,5) = ((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))+nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU)*(1-lambdawUU)/lambdawUU*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU*wstarUU)^(lambdawUU/(1-lambdawUU))); 
lmss_mat(16,6) = 0; 
lmss_mat(16,7) = 0; 
lmss_mat(16,8) = 0; 
lmss_mat(16,9) = 0; 
lmss_mat(16,10) = -betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wUU/piUU+1/nbeta*betaUU*xiwUU*FwXUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU))^(1/(1-lambdawUU))*(piUU*wUU/wUU)^(lambdawUU/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wUU/piUU; 
lmss_mat(16,11) = betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU*wUU/psiLXUU-betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU-((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU/psiLXUU-((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU+1/nbeta*(-betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU+betaUU*xiwUU^2*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU/psiLXUU+betaUU*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXUU/psiLXUU)+nbeta*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))*FwXUU*wUU/psiLXUU; 
lmss_mat(16,12) = -((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))-xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^((1-lambdawUU)/lambdawUU/(1+sigmaLXUU))*(1-lambdawUU)/lambdawUU/(1+sigmaLXUU)*((-1+xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wUU/(1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wUU)/((1-xiwUU)*((1-xiwUU*(piUU^iotaw2UU*pibarUU^(1-iotaw2UU)*wUU/piUU/wUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(wplusUU*wUU*piUU^iotaw2UU*pibarUU^(1-iotaw2UU)/piUU/wUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))); 
lmss_mat(16,13) = 0; 
lmss_mat(16,14) = 0; 
lmss_mat(16,15) = 0; 

lmss_vals = -lmss_mat \ lmss_vec; 
errcheck = max(abs(lmss_mat*lmss_vals + lmss_vec)); 

  lmult1U = lmss_vals(1); 
  lmult2U = lmss_vals(2); 
  lmult3U = lmss_vals(3); 
  lmult4U = lmss_vals(4); 
  lmult5U = lmss_vals(5); 
  lmult6U = lmss_vals(6); 
  lmult7U = lmss_vals(7); 
  lmult8U = lmss_vals(8); 
  lmult9U = lmss_vals(9); 
  lmult10U = lmss_vals(10); 
  lmult11U = lmss_vals(11); 
  lmult12U = lmss_vals(12); 
  lmult13U = lmss_vals(13); 
  lmult14U = lmss_vals(14); 
  lmult15U = lmss_vals(15); 
