// Endogenous variables  
// var piU, cU, hU, kU, pstarU, FpXU, sU, RXU, wplusU, rkU, RkXU, wstarU, FwXU, wU, lambdazU, iU, qU, gapU, gaphouseU, gapfirmU, piwU, Util, Welf;  
var piU, cU, hU, kU, pstarU, FpXU, sU, RXU, wplusU, rkU, RkXU, wstarU, FwXU, wU, lambdazU, iU, qU, gapU, gaphouseU, gapfirmU, piwU, Util, Welf, epsilU, Ux,
    lmult1,  lmult2,  lmult3,  lmult4,  lmult5,  lmult6,  lmult7,   
    lmult8,  lmult9,  lmult10,  lmult11,  lmult12,  lmult13,  lmult14,   
    lmult15,  lmult16,  lmult17,  lmult18,  lmult19,  lmult20; 
  
// Exogenous variables  
// var epsilU Ux;  
  
varexo SIGNAL epx;  
  
//PARAMETERS  
parameters sigmaLXUU, betaUU, psiLXUU, zetaUU, alphaUU, deltaUU, xipUU,  
      iota1UU, iota2UU, phiUU, pibarUU,aptilUU, aytilUU,  rhotilUU,yzUU,RkXUU,rkUU,      
      xUU,lambdafUU,epsilUU,etagUU,pitargetUU,cUU,RXUU,piUU,hUU,kUU,pstarUU,FpXUU,UtilUU,WelfUU,nbeta,  
      rhoUU, bet, xiwUU, lambdawUU, sigmaLXUU, iotaw2UU, wplusUU, wstarUU, FwXUU, wUU, iUU, qUU, lambdazUU, bUU, etaUU, muzstarUU       
      ,lambdafU, muzstarU, zetacU, uU, pitargetU, iotaw1UU, iotamuUU, taucUU, upsilUU, taulUU, psikUU, psilUU, taukUU, tauoU, tauoUU, 
      sigmaaUU,SdouprXUU,zetaiU,muupUU,muupU; 
  
params 
  
  
  
// following must go before the ssnew statement  
pitargetUU=pibarUU;  
muupU=muupUU; 
iota1UU=0;  
iotaw1UU=0;  
lambdafU=lambdafUU;  
muzstarU=muzstarUU; 
pitargetU=pitargetUU; 
zetacU=1; 
zetaiU=1; 
tauoU=tauoUU;  
uU=1;  
   
ssnew

parameters lmult1U,  lmult2U,  lmult3U,  lmult4U,  lmult5U,   
           lmult6U,  lmult7U,  lmult8U,  lmult9U,  lmult10U,   
           lmult11U,  lmult12U,  lmult13U,  lmult14U,  lmult15U,   
           lmult16U,  lmult17U,  lmult18U,  lmult19U,  lmult20U; 
  
model;  
  
// Welfare and utility  
  
Util = log(cU*muzstarUU-bUU*cU(-1))-psiLXUU/(1+sigmaLXUU)*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^(1+sigmaLXUU); 
 
Welf = Util + nbeta*Welf(+1);  
  
// Policymaker's First-Order Conditions 
muzstarUU/(cU*muzstarUU-bUU*cU(-1))-nbeta*bUU/(muzstarUU*cU(+1)-bUU*cU)+lmult5*(muzstarUU^2/(cU*muzstarUU-bUU*cU(-1))^2+bUU^2*betaUU/(muzstarUU*cU(+1)-bUU*cU)^2)-1/nbeta*lmult5(-1)*bUU*betaUU/(cU*muzstarUU-bUU*cU(-1))^2*muzstarUU-nbeta*lmult5(+1)*muzstarUU/(muzstarUU*cU(+1)-bUU*cU)^2*bUU+lmult7; 
-lmult12+1/nbeta*lmult12(-1)*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))*betaUU*xipUU-lmult13*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)+1/nbeta*lmult13(-1)*betaUU*xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(lambdafU/(1-lambdafU))*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU); 
-lmult14+1/nbeta*lmult14(-1)*betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piU*(1/piU/muzstarU/wU*wU(-1))^(lambdawUU/(1-lambdawUU))*muzstarU^(iotamuUU/(1-lambdawUU)-1)-lmult15*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wU/psiLXUU+1/nbeta*lmult15(-1)*betaUU*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wU/psiLXUU; 
lmult18; 
lmult19; 
lmult17; 
-psiLXUU*(wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1))*hU^(1+sigmaLXUU)/hU-lmult2*rkU*(1+psikUU*RXU)/alphaUU/epsilU/((upsilUU*muzstarU*hU*wstarU^(lambdawUU/(lambdawUU-1))/uU/kU(-1))^(1-alphaUU))*(1-alphaUU)/hU-lmult7*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hU+lmult12*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hU+lmult13*lambdafU*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)/hU*sU+lmult14*wstarU^(lambdawUU/(lambdawUU-1))*(1-taulUU)*lambdazU/(1+taucUU)/lambdawUU+lmult15*zetacU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*(1+sigmaLXUU)/hU*zetaUU+lmult17*(lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)*alphaUU/hU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)+lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)*sigmaLXUU/hU)+lmult19*wU*lambdazU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)*sigmaLXUU/hU; 
lmult6*(lambdazU*qU*(-2*muzstarUU^2/etaUU*(iU/iU(-1)-1)/iU(-1)-muzstarUU^2/etaUU/iU(-1)^2*iU)-betaUU*lambdazU(+1)*qU(+1)*muzstarUU^2/etaUU*iU(+1)^3/iU^4-2*betaUU*lambdazU(+1)*qU(+1)*muzstarUU^2/etaUU*(iU(+1)/iU-1)*iU(+1)^2/iU^3)+1/nbeta*lmult6(-1)*(betaUU*lambdazU*qU*muzstarUU^2/etaUU/iU(-1)^3*iU^2+2*betaUU*lambdazU*qU*muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1)^2)+nbeta*lmult6(+1)*lambdazU(+1)*qU(+1)*(2*muzstarUU^2/etaUU*(iU(+1)/iU-1)*iU(+1)/iU^2+muzstarUU^2/etaUU*iU(+1)^2/iU^3)+lmult7+lmult8*(-1+1/2*muzstarUU^2/etaUU*(iU/iU(-1)-1)^2+muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1))-nbeta*lmult8(+1)*muzstarUU^2/etaUU*(iU(+1)/iU-1)*iU(+1)^2/iU^2; 
nbeta*lmult2(+1)*rkU(+1)*(1+psikUU*RXU(+1))/alphaUU/epsilU(+1)/((upsilUU*muzstarU*hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1))/uU/kU)^(1-alphaUU))*(1-alphaUU)/kU-nbeta*lmult7(+1)*pstarU(+1)^(lambdafUU/(lambdafUU-1))*epsilU(+1)*(kU/muzstarUU)^alphaUU*alphaUU/kU*(hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)+lmult8+nbeta*lmult8(+1)*(-1+deltaUU)/muzstarUU+nbeta*lmult12(+1)*lambdazU(+1)/(1+taucUU)*pstarU(+1)^(lambdafU/(lambdafU-1))*epsilU(+1)*(uU*kU/upsilUU/muzstarU)^alphaUU*alphaUU/kU*(hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)+nbeta*lmult13(+1)*lambdafU*lambdazU(+1)/(1+taucUU)*pstarU(+1)^(lambdafU/(lambdafU-1))*epsilU(+1)*(uU*kU/upsilUU/muzstarU)^alphaUU*alphaUU/kU*(hU(+1)*wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*sU(+1)-nbeta*lmult17(+1)*lambdazU(+1)*pstarU(+1)^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU(+1)*(kU/muzstarUU)^alphaUU*alphaUU/kU*(wstarU(+1)^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU(+1)^(-alphaUU)/psiLXUU/((wstarU(+1)/wplusU(+1))^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU(+1)^sigmaLXUU); 
-lmult3/(1+taucUU)+1/nbeta*lmult3(-1)/(1+taucUU)*betaUU/piU/muzstarU*(1+RkXU)+lmult5+lmult6*(qU*(1-1/2*muzstarUU^2/etaUU*(iU/iU(-1)-1)^2-muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1))-1)+1/nbeta*lmult6(-1)*betaUU*qU*muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU^2/iU(-1)^2-lmult9/(1+taucUU)+1/nbeta*lmult9(-1)/(1+taucUU)*betaUU/piU/muzstarU*(1+RXU(-1))+lmult12/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*(epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult13*lambdafU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*(epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sU+lmult14*hU*wstarU^(lambdawUU/(lambdawUU-1))*(1-taulUU)/(1+taucUU)/lambdawUU-lmult17*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)-lmult19*wU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU); 
-1/nbeta*lmult3(-1)*lambdazU/(1+taucUU)*betaUU/piU^2/muzstarU*(1+RkXU)+lmult4*(-(1-taukUU)*(uU*rkU-tauoU*rkUU*(exp(sigmaaUU*(uU-1))-1)/sigmaaUU)-(1-deltaUU)*qU)/upsilUU/qU(-1)-1/nbeta*lmult9(-1)*lambdazU/(1+taucUU)*betaUU/piU^2/muzstarU*(1+RXU(-1))-lmult10*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU*pstarU(-1))^(lambdafU/(1-lambdafU)))^(1/lambdafU*(1-lambdafU))/lambdafU*(1-lambdafU)*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU*lambdafU*xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))/(1-lambdafU)/piU/(1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU*pstarU(-1))^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)/piU)/((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU*pstarU(-1))^(lambdafU/(1-lambdafU)))-nbeta*lmult10(+1)*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1)*pstarU)^(lambdafU/(1-lambdafU)))^(1/lambdafU*(1-lambdafU))/lambdafU*(1-lambdafU)*((-1+xipUU)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^lambdafU*lambdafU*xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU))/(1-lambdafU)*iota2UU/piU/(1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))+xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1)*pstarU)^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)*iota2UU/piU)/((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1)*pstarU)^(lambdafU/(1-lambdafU)))-lmult11*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU(-1))^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/piU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))-nbeta*lmult11(+1)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*iotaw2UU/piU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU)))+lmult12*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU))/(1-lambdafU)*iota2UU/piU*betaUU*xipUU*FpXU(+1)-1/nbeta*lmult12(-1)*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))/(1-lambdafU)/piU*betaUU*xipUU*FpXU+lmult13*(betaUU*xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)*iota2UU/piU*FpXU(+1)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)-betaUU*xipUU^2*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(lambdafU/(1-lambdafU))*FpXU(+1)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU))*iota2UU/piU/(1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))-FpXU*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))/piU/(1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))))+1/nbeta*lmult13(-1)*(-betaUU*xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(lambdafU/(1-lambdafU))*lambdafU/(1-lambdafU)/piU*FpXU*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)+betaUU*xipUU^2*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(lambdafU/(1-lambdafU))*FpXU*((1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))/piU/(1-xipUU*(pitargetU^iota1UU*piU(-1)^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU)^(1/(1-lambdafU))))+nbeta*lmult13(+1)*FpXU(+1)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^(1-lambdafU)*xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU))*iota2UU/piU/(1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))+lmult14*betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/piU(+1)*(1/piU(+1)/muzstarU/wU(+1)*wU)^(lambdawUU/(1-lambdawUU))*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXU(+1)+1/nbeta*lmult14(-1)*(-betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piU^2*(1/piU/muzstarU/wU*wU(-1))^(lambdawUU/(1-lambdawUU))*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXU-betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piU^2*(1/piU/muzstarU/wU*wU(-1))^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXU)+lmult15*(betaUU*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piU*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wU(+1)*FwXU(+1)/psiLXUU-betaUU*xiwUU^2*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wU(+1)*FwXU(+1)/psiLXUU-((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wU*FwXU/psiLXUU)+1/nbeta*lmult15(-1)*(-betaUU*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piU*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wU*FwXU/psiLXUU+betaUU*xiwUU^2*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wU*FwXU/psiLXUU)+nbeta*lmult15(+1)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wU(+1)*FwXU(+1)/psiLXUU-lmult16*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU(-1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU(-1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/piU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU(-1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*lmult16(+1)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)*iotaw2UU/piU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*iotaw2UU/piU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-lmult20*wU*muzstarUU/wU(-1); 
lmult20; 
-lmult7*pstarU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarU*(epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult10-nbeta*lmult10(+1)*((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1)*pstarU)^(lambdafU/(1-lambdafU)))^(1/lambdafU*(1-lambdafU))*xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1)*pstarU)^(lambdafU/(1-lambdafU))/pstarU/((1-xipUU)*((1-xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1))^(1/(1-lambdafU)))/(1-xipUU))^lambdafU+xipUU*(pitargetU^iota1UU*piU^iota2UU*pibarUU^(1-iota1UU-iota2UU)/piU(+1)*pstarU)^(lambdafU/(1-lambdafU)))+lmult12*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*lambdafU/(lambdafU-1)/pstarU*(epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult13*lambdafU^2*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))/(lambdafU-1)/pstarU*(epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)*sU-lmult17*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*lambdafUU/(lambdafUU-1)/pstarU*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU); 
lmult4*(-1+deltaUU)*piU/upsilUU/qU(-1)+nbeta*lmult4(+1)*((1-taukUU)*(uU*rkU(+1)-tauoU*rkUU*(exp(sigmaaUU*(uU-1))-1)/sigmaaUU)+(1-deltaUU)*qU(+1))*piU(+1)/upsilUU/qU^2+lmult6*lambdazU*(1-1/2*muzstarUU^2/etaUU*(iU/iU(-1)-1)^2-muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU/iU(-1))+1/nbeta*lmult6(-1)*betaUU*lambdazU*muzstarUU^2/etaUU*(iU/iU(-1)-1)*iU^2/iU(-1)^2; 
lmult1*(1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkU*(1+psikUU*RXU))^alphaUU*alphaUU/rkU*(wU*(1+psilUU*RXU))^(1-alphaUU)/epsilU+lmult2*(1+psikUU*RXU)/alphaUU/epsilU/((upsilUU*muzstarU*hU*wstarU^(lambdawUU/(lambdawUU-1))/uU/kU(-1))^(1-alphaUU))+lmult4*(-1+taukUU)*uU*piU/upsilUU/qU(-1); 
1/nbeta*lmult3(-1)*lambdazU/(1+taucUU)*betaUU/piU/muzstarU+lmult4; 
lmult1*((1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkU*(1+psikUU*RXU))^alphaUU*alphaUU*psikUU/(1+psikUU*RXU)*(wU*(1+psilUU*RXU))^(1-alphaUU)/epsilU+(1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkU*(1+psikUU*RXU))^alphaUU*(wU*(1+psilUU*RXU))^(1-alphaUU)*(1-alphaUU)*psilUU/(1+psilUU*RXU)/epsilU)+lmult2*rkU*psikUU/alphaUU/epsilU/((upsilUU*muzstarU*hU*wstarU^(lambdawUU/(lambdawUU-1))/uU/kU(-1))^(1-alphaUU))+lmult9*lambdazU(+1)/(1+taucUU)*betaUU/piU(+1)/muzstarU; 
-lmult1-lmult2+lmult13*lambdafU*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*(epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)-phiUU)+lmult18/sU^2; 
psiLXUU*(wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wplusU*hU^(1+sigmaLXUU)+lmult16-nbeta*lmult16(+1)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))/wplusU/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-lmult17*lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)*lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)/wplusU-lmult19*wU*lambdazU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)*lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)/wplusU; 
-psiLXUU*(wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1))*lambdawUU/(lambdawUU-1)/wstarU*hU^(1+sigmaLXUU)-lmult2*rkU*(1+psikUU*RXU)/alphaUU/epsilU/((upsilUU*muzstarU*hU*wstarU^(lambdawUU/(lambdawUU-1))/uU/kU(-1))^(1-alphaUU))*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU-lmult7*pstarU^(lambdafUU/(lambdafUU-1))*epsilU*(kU(-1)/muzstarUU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU+lmult11-nbeta*lmult11(+1)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU))/wstarU/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU)))+lmult12*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU+lmult13*lambdafU*lambdazU/(1+taucUU)*pstarU^(lambdafU/(lambdafU-1))*epsilU*(uU*kU(-1)/upsilUU/muzstarU)^alphaUU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU*sU+lmult14*hU*wstarU^(lambdawUU/(lambdawUU-1))/(lambdawUU-1)/wstarU*(1-taulUU)*lambdazU/(1+taucUU)+lmult15*zetacU*(hU*wstarU^(lambdawUU/(lambdawUU-1)))^(1+sigmaLXUU)*lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)/wstarU*zetaUU+lmult17*(-lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)^2*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*lambdawUU/(lambdawUU-1)/wstarU*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)+lambdazU*pstarU^(lambdafUU/(lambdafUU-1))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU)^alphaUU*(wstarU^(lambdawUU/(lambdawUU-1)))^(1-alphaUU)*hU^(-alphaUU)/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)*lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)/wstarU)+lmult19*wU*lambdazU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)*lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)/wstarU; 
lmult1*(1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU)*(rkU*(1+psikUU*RXU))^alphaUU*(wU*(1+psilUU*RXU))^(1-alphaUU)*(1-alphaUU)/wU/epsilU-lmult11*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU(-1))^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU(-1))^(lambdawUU/(1-lambdawUU)))-nbeta*lmult11(+1)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU)))^(1/lambdawUU*(1-lambdawUU))/lambdawUU*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU*lambdawUU*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^lambdawUU+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wstarU)^(lambdawUU/(1-lambdawUU)))+lmult14*betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piU(+1)*(1/piU(+1)/muzstarU/wU(+1)*wU)^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wU*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXU(+1)-1/nbeta*lmult14(-1)*betaUU*xiwUU*muzstarUU^((1-iotamuUU)/(1-lambdawUU))*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU))^(1/(1-lambdawUU))/piU*(1/piU/muzstarU/wU*wU(-1))^(lambdawUU/(1-lambdawUU))*lambdawUU/(1-lambdawUU)/wU*muzstarU^(iotamuUU/(1-lambdawUU)-1)*FwXU+lmult15*(betaUU*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wU*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*wU(+1)*FwXU(+1)/psiLXUU-betaUU*xiwUU^2*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wU(+1)*FwXU(+1)/psiLXUU-((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*FwXU/psiLXUU-((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU/psiLXUU)+1/nbeta*lmult15(-1)*(-betaUU*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU/psiLXUU+betaUU*xiwUU^2*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*FwXU/psiLXUU+betaUU*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*FwXU/psiLXUU)+nbeta*lmult15(+1)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(1-lambdawUU*(1+sigmaLXUU))*(1-lambdawUU*(1+sigmaLXUU))*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))*wU(+1)*FwXU(+1)/psiLXUU-lmult16*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU(-1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU(-1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU(-1)^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU/muzstarU/wU*wU(-1)*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU(-1))^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-nbeta*lmult16(+1)*((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))^(1/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU))/lambdawUU/(1+sigmaLXUU)*(1-lambdawUU)*((-1+xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))*lambdawUU*(1+sigmaLXUU)*xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU))/(1-lambdawUU)/wU/(1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))*lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)/wU)/((1-xiwUU)*((1-xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU)^(1/(1-lambdawUU)))/(1-xiwUU))^(lambdawUU*(1+sigmaLXUU))+xiwUU*(pitargetU^iotaw1UU*piU^iotaw2UU*pibarUU^(1-iotaw1UU-iotaw2UU)/piU(+1)/muzstarU/wU(+1)*wU*muzstarUU^(1-iotamuUU)*muzstarU^iotamuUU*wplusU)^(lambdawUU*(1+sigmaLXUU)/(1-lambdawUU)))-lmult19*lambdazU/psiLXUU/((wstarU/wplusU)^(lambdawUU*(1+sigmaLXUU)/(lambdawUU-1)))/(hU^sigmaLXUU)-lmult20*muzstarUU*piU/wU(-1)+nbeta*lmult20(+1)*wU(+1)*muzstarUU*piU(+1)/wU^2; 
 
// eq2 marginal cost in terms of both factor costs 
-sU+((1-alphaUU)^(alphaUU-1)*alphaUU^(-alphaUU))*((rkU*(1+psikUU*RXU))^alphaUU)*((wU*(1+psilUU*RXU))^(1-alphaUU))/epsilU; 
 
// eq3  marginal cost in terms of rental rate of capital 
rkU*(1+psikUU*RXU)/( alphaUU*epsilU*( (upsilUU*muzstarU*( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )/(uU*kU(-1)))^(1-alphaUU) ) )-sU; 
  
// eq24 household capital accumulation 
-zetacU*( lambdazU/(zetacU*(1+taucUU)) )+( lambdazU(+1)/(zetacU*(1+taucUU)) )*zetacU*(betaUU/(piU(+1)*muzstarU))*(1+RkXU(+1)); 
 
// eq9 definition of rate of return on capital  
RkXU - ( ( (1-taukUU)*(uU*rkU-tauoU*( rkUU*(exp(sigmaaUU*(uU-1))-1)/sigmaaUU ))+(1-deltaUU)*qU)*piU/(upsilUU*qU(-1)) + taukUU*deltaUU - 1); 
 
// lambdaz (lamz)  
lambdazU - muzstarUU/(muzstarUU*cU-bUU*cU(-1)) + bUU*betaUU/(muzstarUU*cU(+1)-bUU*cU);  
  
// investment equation (invest)  
lambdazU*qU*(1-(muzstarUU^2/(2*etaUU))*(iU/iU(-1)-1)^2-(muzstarUU^2/etaUU)*(iU/iU(-1)-1)*iU/iU(-1)) - lambdazU + betaUU*lambdazU(+1)*qU(+1)*(muzstarUU^2/etaUU)*(iU(+1)/iU-1)*(iU(+1)/iU)^2;  
 
// resource constraint (resource)  
cU + iU - (pstarU^(lambdafUU/(lambdafUU-1))) * ( epsilU * ( kU(-1)/muzstarUU )^alphaUU  * ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1))) )^(1-alphaUU)  - phiUU);  
 
// capital accumulation equation (capital)  
kU - ((1-deltaUU)/muzstarUU)*kU(-1) - (1 - (muzstarUU^2/(2*etaUU))*(iU/iU(-1)-1)^2)*iU;  
  
//  eq17 money decision  
 (betaUU*zetacU*( lambdazU(+1)/(zetacU*(1+taucUU)) )/(piU(+1)*muzstarU))*(1+RXU) - zetacU*( lambdazU/(zetacU*(1+taucUU)) ); 
 
// 7 sticky price/wage equations... 
 
// eq31 p-star equation  
 pstarU - ((1-xipUU)*( ( ( (1 - xipUU*(( (pitargetU^iota1UU) * (piU(-1)^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU)^(1/(1-lambdafU)) ) / (1-xipUU) ) ) ^ lambdafU ) + xipUU*(((( (pitargetU^iota1UU) * (piU(-1)^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU)*pstarU(-1))^( lambdafU / (1-lambdafU) )) )^(1/( lambdafU / (1-lambdafU) ));  
   
// eq32 w-star equation  
  wstarU - ( ((1-xiwUU)*( ( (1 - xiwUU * ( ( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) ) ^ lambdawUU ) + xiwUU*( (( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) )*wstarU(-1))^( lambdawUU/(1-lambdawUU) ) ) )^(1/( lambdawUU/(1-lambdawUU) )) );  
    
// eq33  Fp equation  
  zetacU*( lambdazU/(zetacU*(1+taucUU)) )*( (pstarU^(lambdafU/(lambdafU-1))) * ( epsilU * (( uU*kU(-1)/(muzstarU*upsilUU))^alphaUU ) * ( ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )^(1-alphaUU) ) - phiUU) ) + ( (( (pitargetU^iota1UU) * (piU^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU(+1)) ^ (1/(1-lambdafU)) ) * betaUU * xipUU * FpXU(+1) - FpXU;  
  
// eq34  Kp equation  
 zetacU*lambdafU*( lambdazU/(zetacU*(1+taucUU)) )*( (pstarU^(lambdafU/(lambdafU-1))) * ( epsilU * (( uU*kU(-1)/(muzstarU*upsilUU))^alphaUU ) * ( ( hU*(wstarU ^ (lambdawUU/(lambdawUU-1)) ) )^(1-alphaUU) ) - phiUU) )*sU + betaUU * xipUU *  ( (( (pitargetU^iota1UU) * (piU^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU(+1)) ^ (lambdafU/(1-lambdafU)) ) * ( FpXU(+1)* (( ( (1 - xipUU*(( (pitargetU^iota1UU) * (piU^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU(+1))^(1/(1-lambdafU)) ) / (1-xipUU) ) )^(1-lambdafU)) ) - ( FpXU* (( ( (1 - xipUU*(( (pitargetU^iota1UU) * (piU(-1)^iota2UU) * pibarUU^(1-iota1UU-iota2UU) )/piU)^(1/(1-lambdafU)) ) / (1-xipUU) ) )^(1-lambdafU)) );  
  
// eq35 Fw equation  
 zetacU*((wstarU^(lambdawUU/(lambdawUU-1)))*hU*(1-taulUU)*( lambdazU/(zetacU*(1+taucUU)) )/lambdawUU) + betaUU * xiwUU * (muzstarUU^((1-iotamuUU)/(1-lambdawUU))) * ( (( (pitargetU^iotaw1UU) * (piU^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )^(1/(1-lambdawUU))) / piU(+1) ) * ( (1/( piU(+1)*muzstarU*wU(+1)/wU )) ^ (lambdawUU/(1-lambdawUU)) ) * (muzstarU^(iotamuUU/(1-lambdawUU)-1)) * FwXU(+1) - FwXU;  
  
// eq36 Kw equation  
 zetacU*((wstarU^(lambdawUU/(lambdawUU-1))*hU)^(1+sigmaLXUU))*zetaUU + betaUU * xiwUU * (( (( (pitargetU^iotaw1UU) * (piU^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU(+1)*muzstarU*wU(+1)/wU )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) )  ^ (lambdawUU*(1+sigmaLXUU)/(1-lambdawUU))) * ( ( ( (1 - xiwUU * ( ( (( (pitargetU^iotaw1UU) * (piU^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU(+1)*muzstarU*wU(+1)/wU )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) ) ^ (1-lambdawUU*(1+sigmaLXUU)) ) * wU(+1) * FwXU(+1)/psiLXUU ) - ( ( ( (1 - xiwUU * ( ( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) )   ^ (1-lambdawUU*(1+sigmaLXUU)) ) * wU   * FwXU/psiLXUU );  
  
// eq37 w-plus equation  
 wplusU - ( ((1-xiwUU)*( ( (1 - xiwUU * ( ( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) ) ^ (1/(1-lambdawUU)) ) ) / (1-xiwUU) )^(lambdawUU*(1+sigmaLXUU)) ) + xiwUU*( (( (( (pitargetU^iotaw1UU) * (piU(-1)^iotaw2UU) * (pibarUU^(1-iotaw1UU-iotaw2UU)) )/( piU*muzstarU*wU/wU(-1) )) * (muzstarUU^(1-iotamuUU)) * (muzstarU^iotamuUU) )*wplusU(-1))^( lambdawUU*(1+sigmaLXUU)/(1-lambdawUU) ) ) )^(1/( lambdawUU*(1+sigmaLXUU)/(1-lambdawUU) )) );  
 
// other stuff... 
 
// this is the 'inefficiency gap' or the labor wedge: marginal product of labor divided by (-ul/lambdaz) 
gapU=lambdazU*(pstarU^(lambdafUU/(lambdafUU-1)))*(1-alphaUU)*epsilU*(kU(-1)/muzstarUU )^alphaUU*((wstarU^(lambdawUU/(lambdawUU-1))))^(1-alphaUU)*(hU^(-alphaUU)) 
             /( psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^sigmaLXUU  ); 
              
// firm inefficiency gap, marginal product of labor divided by real wage, = s. 
gapfirmU-1/sU; 
 
// household inefficiency gap, real wage divided by marginal rate of substitution between consumption and leisure 
gaphouseU=wU*lambdazU/ ( psiLXUU*(wstarU/wplusU)^((1+sigmaLXUU)*lambdawUU/(lambdawUU-1))*hU^(sigmaLXUU)  ); 
  
// nominal wage growth 
piwU - wU*muzstarUU*piU/wU(-1); 
  
// law of motion of exogenous shock 
log(epsilU) = rhoUU*log(epsilU(-1))+ Ux(-12) + epx; 
Ux = SIGNAL; 
  
end;  
  
  
initval;  
RkXU=RkXUU; 
rkU=rkUU; 
gapU=lambdafUU*lambdawUU; 
gapfirmU=lambdafUU; 
gaphouseU=lambdawUU; 
wplusU=wplusUU;  
wstarU=wstarUU;  
wU=wUU;  
FwXU=FwXUU;  
qU=qUU;  
iU=iUU;  
lambdazU=lambdazUU;  
sU=sUU;  
piU=piUU;  
pstarU=pstarUU;  
kU=kUU;  
hU=hUU;  
cU=cUU;  
FpXU=FpXUU;  
Util=0;  
Welf=0;  
RXU=RXUU;  
epsilU=epsilUU;  
Ux=0; 
piwU=muzstarUU*piUU; 
lmult1 = lmult1U; 
lmult2 = lmult2U; 
lmult3 = lmult3U; 
lmult4 = lmult4U; 
lmult5 = lmult5U; 
lmult6 = lmult6U; 
lmult7 = lmult7U; 
lmult8 = lmult8U; 
lmult9 = lmult9U; 
lmult10 = lmult10U; 
lmult11 = lmult11U; 
lmult12 = lmult12U; 
lmult13 = lmult13U; 
lmult14 = lmult14U; 
lmult15 = lmult15U; 
lmult16 = lmult16U; 
lmult17 = lmult17U; 
lmult18 = lmult18U; 
lmult19 = lmult19U; 
lmult20 = lmult20U; 
end;  
  
shocks;  
var SIGNAL;  
stderr 1;  
var epx;  
stderr 1;  
end;  
  
steady;  
  
// stoch_simul(dr_algo=0,periods=1000,simul_seed=1,irf=100);  
stoch_simul(order=1,irf=24) cU hU piU kU epsilU RXU sU qU iU wU gapU gaphouseU gapfirmU piwU; 
 
cimp=cU_SIGNAL; 
himp=hU_SIGNAL; 
iimp=iU_SIGNAL; 
qimp=qU_SIGNAL; 
piimp=piU_SIGNAL; 
Rimp=RXU_SIGNAL; 
Epsimp=epsilU_SIGNAL; 
simp=sU_SIGNAL; 
kimp=kU_SIGNAL; 
wimp=wU_SIGNAL; 
piwimp=piwU_SIGNAL; 
gapimp=gapU_SIGNAL; 
gapfirmimp=gapfirmU_SIGNAL; 
gaphouseimp=gaphouseU_SIGNAL;   
for ii = 13:24  
    cimp(ii)=cimp(ii)-cU_epx(ii-12); 
    himp(ii)=himp(ii)-hU_epx(ii-12); 
    iimp(ii)=iimp(ii)-iU_epx(ii-12); 
    qimp(ii)=qimp(ii)-qU_epx(ii-12); 
    piimp(ii)=piimp(ii)-piU_epx(ii-12); 
    Rimp(ii)=Rimp(ii)-RXU_epx(ii-12); 
    wimp(ii)=wimp(ii)-wU_epx(ii-12); 
    simp(ii)=simp(ii)-sU_epx(ii-12); 
    piwimp(ii)=piwimp(ii)-piwU_epx(ii-12); 
    gapimp(ii)=gapimp(ii)-gapU_epx(ii-12); 
    gapfirmimp(ii)=gapfirmimp(ii)-gapfirmU_epx(ii-12); 
    gaphouseimp(ii)=gaphouseimp(ii)-gaphouseU_epx(ii-12); 
    Epsimp(ii)=Epsimp(ii)-epsilU_epx(ii-12); 
end  
 
bUUU=bUU; 
SdouprXUUU=SdouprXUU; 
betaUUU=betaUU; 
deltaUUU=deltaUU; 
alphaUUU=alphaUU; 
sigmaLXUUU=sigmaLXUU; 
rhoUUU=rhoUU; 
muzstarUUU=muzstarUU; 
psiLXUUU=psiLXUU; 
 
 
cram=cimp; 
hram=himp; 
iram=iimp; 
qram=qimp; 
piram=piimp; 
Rram=Rimp; 
wram=wimp; 
sram=simp; 
gapram=gapimp; 
gaphouseram=gaphouseimp; 
gapfirmram=gapfirmimp; 
Epsram=Epsimp; 
piwram=piwimp; 
 
save newkeynesian cram hram iram qram piram Rram wram gapram gaphouseram gapfirmram Epsram piwram sram bUUU SdouprXUUU betaUUU deltaUUU alphaUUU psiLXUUU sigmaLXUUU rhoUUU muzstarUUU; 
 
pltt 
str=['\xi_{w} = ',num2str(xiwUU),'  \xi_{p} = ',num2str(xipUU),'  \lambda_{f} = ',num2str(lambdafUU),'  \lambda_{w} = ',num2str(lambdawUU),' \iota_{w,2} = ',num2str(iotaw2UU)]; 
hout=suptitle(str); 
 
%dr_algo=0, perturbation approach a la Schmitt-Grohe-Uribe  
%order = 2, second order approximation, default  
%irf, # of periods for impulse responses  
%variables next to parentheses means these are the variables you want  
