%// var R H PI Util Welf Z;
global HU PIU RU ZU CU; 
  
global lmult1U lmult2U lmult3U; 

ZU=1;

ppi=beta:.001:1.2;
pi=ppi(1);
[errcheck,HU,RU,PIU,CU] = sstate(pi,beta,phi,tau,theta,psi,nbeta);
ff(1)=errcheck;
ix=0;
for ii = 1:length(ppi)
    pi=ppi(ii);    
    [errcheck,HU,RU,PIU,CU] = sstate(pi,beta,phi,tau,theta,psi,nbeta);
    ff(ii)=errcheck;
    if abs(errcheck) < .01;
        ix=ix+1;
        II(ix)=ii;
    end
    
    mul(1,ii)=lmult1U;
    mul(2,ii)=lmult2U;
    
end

[Y,I]=min(ff);
pi=ppi(I);
[errcheck,HU,RU,PIU,CU] = sstate(pi,beta,phi,tau,theta,psi,nbeta);

if abs(errcheck) > .1e-9
    opts =optimset('TolFun',1e-12,'TolX',1e-12,'Maxit',10000000000000);
    [pinew,fval,exitflag] = fminsearch(@sstate, pi,opts,beta,phi,tau,theta,psi,nbeta);    
    if abs(fval) > 5.6e-10 | abs(imag(pinew)) > .1e-10 |exitflag ~= 1
        error('fatal (nDNK_out_steadystate) failed to solve for the steady state')
    end
    [errcheck,HU,RU,PIU] = sstate(pinew,beta,phi,tau,theta,psi,nbeta);
end

newDNK_out_lmss

