function [Z_SS,H_SS,R_SS,PI_SS,C_SS] = steadys(pi,beta,phi,tau,theta,psi)


Z_SS=0;
H_SS=(1+(phi/2)*(pi-1)^2)*((1-beta)*phi*(pi-1)*pi+(tau+1)*(theta-1))/(theta*psi);
H_SS=sqrt(H_SS);
R_SS=pi/beta-1;
PI_SS=pi;    
C_SS=exp(Z_SS)*H_SS/(1+(phi/2)*(PI_SS-1)^2);
err(1)=(1/(1+R_SS))-beta/PI_SS;
err(2)=(1+tau)*(1-theta)+theta*(psi*H_SS*C_SS*exp(-Z_SS))-phi*(PI_SS-1)*PI_SS+beta*phi*(PI_SS-1)*PI_SS;
err(3)=C_SS*(1+(phi/2)*(PI_SS-1)^2)-exp(Z_SS)*H_SS;
if max(abs(err)) > .1e-10
    error('fatal (steadys) state state not satisfied')
end