subplot(3,3,1)
plot(100*cU_mshock/c_ss)
title('Consumption')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,2)
plot(100*iU_mshock/(delta*k_ss))
title('investment')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,3)
plot(100*lU_mshock/l_ss)
title('hours worked')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,4)
plot(100*PkXU_mshock)
title('price of capital')
ylabel('percent deviation from steady state')
axis tight
subplot(3,3,5)
plot(100*mU_mshock/m_ss)
title('real balances, M(t+1)/P(t)')
ylabel('percent deviation from ss')
axis tight
subplot(3,3,6)
plot((RXU_mshock+R_ss)*400)
title('nominal rate of interest (APR)')
ylabel('percent')
axis tight
subplot(3,3,7)
plot(100*zU_mshock)
title('state of technology')
ylabel('percent deviation from ss')
axis tight
subplot(3,3,8)
plot(400*(piU_mshock+pibar-1))
title('rate of inflation (APR)')
ylabel('percent, net')
axis tight
str=['Response to Monetary Policy Shock, \alpha_{\pi} = ',num2str(alphapi),' velocity = ',num2str(y_ss/m_ss)];
hout=suptitle(str);